emacs (1:27.1+1-3.1+deb11u3) bullseye; urgency=high

  * Fix CVE-2024-30203, CVE-2024-30204 & CVE-2024-30205 (Closes: #1067630).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 27 Apr 2024 12:16:08 +0100

emacs (1:27.1+1-3.1+deb11u2) bullseye-security; urgency=medium

  * CVE-2022-48337 CVE-2022-48338 CVE-2022-48339 (Closes: #1031730)

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 22 Feb 2023 22:08:26 +0100

emacs (1:27.1+1-3.1+deb11u1) bullseye-security; urgency=medium

  * Fix CVE-2022-45939.
    Add 0015-Fixed-ctags-local-command-execute-vulnerability.patch to
    address the problem. (Closes: 1025009)

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 04 Jan 2023 20:23:36 +0100

emacs (1:27.1+1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/0014-Skip-tests-that-require-Internet-when-there-s-no-Int.patch:
    Skip tests that require internet connection, fixing a FTBFS.
    (Closes: #982969)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 20 Mar 2021 17:41:44 -0400

emacs (1:27.1+1-3) unstable; urgency=medium

  * Strip parent path from package descriptions for reprodcibility.  Add
    0012-Strip-parent-path-from-package-descriptions-for-repr.patch to
    incorporate the changes.  Thanks to Chris Lamb for reporting the
    problem and tracking down the cause. (Closes: 972861)

  * Apply upstream patch to restore schemas.xml to fix nXML mode.  Add
    0013-Recover-the-contents-of-the-schemas.xml-file.patch to incorporate
    the changes.  Thanks to Yasuhiro KIMURA for reporting the problem and
    the fix.  (Closes: 973633)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 07 Nov 2020 16:16:23 -0600

emacs (1:27.1+1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 24 Oct 2020 11:31:42 -0500

emacs (1:27.1+1-1) experimental; urgency=medium

  * Merge upstream version 27.1.

  * Update debian/control for 27.1.

  * Update debian/copyright for 27.1.

  * Update debian/control build-deps for 27.1.

  * Fix emacs-module-tests to work with VPATH builds.  Add
    0011-emacs-module-tests-fix-VPATH-builds.patch to address the issue.

  * debian/rules: put new pdmp files in flavor-specific packages.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 23 Aug 2020 16:09:09 -0500

emacs (1:26.3+1-2) unstable; urgency=medium

  * Fix intermittent test failures in process-tests.  Add
    0012-The-Emacs-process-tests-should-no-longer-fail-interm.patch to
    address the issue.  Thanks to Ivo De Decker for reporting the problem,
    J. Smith for tracking down the upstream bug, and Nick Gasson for
    locating the upstream patch. (Closes: 944616)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 16 May 2020 19:25:51 -0500

emacs (1:26.3+1-1) unstable; urgency=medium

  * Merge upstream version 26.3. (Closes: 939737)

  * Update debian/copyright for 26.3.

  * Update debian/control for 26.3.

  * Don't override the upstream EPLA packaging key anymore.  Emacs 26.3
    has the correct version.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 09 Sep 2019 20:17:48 -0500

emacs (1:26.1+1-4) unstable; urgency=high

  * Update the EPLA packaging key (previous key expires 2019-09-23) via
    the upstream commit f16785d361097df9fddfcc0b60ae6f0d92e7e911.  Add the
    old and new keyrings to debian/ and debian/source/include-binaries
    since debian/patches/ can't handle git binary diffs.  Thanks to Stefan
    Monnier for reporting the problem and providing the patch.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 08 Sep 2019 15:02:23 -0500

emacs (1:26.1+1-3.3) unstable; urgency=medium

  * Non-maintainer upload.

  * Drop transitional versioned emacsXX* packages.

  * Cherry-pick 408bf21a8c and 95b77b0451 to fix crashes with color fonts,
    thanks to Vincent Lefevre.  (Closes: #929567)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 12 Jul 2019 20:42:27 +0200

emacs (1:26.1+1-3.2) unstable; urgency=medium

  * Non-maintainer upload.

  * Add more transitional packages for ancient versioned packages
    emacs21{,-nox}, emacs22{,-gtk,-nox}.  (Closes: #916758)

  * Drop -dbg packages in favor of autogenerated -dbgsym packages.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 03 Feb 2019 15:42:30 +0100

emacs (1:26.1+1-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  * Really handle the emacs-{gtk,lucid,nox} doc dir transition manually.
    This cannot be handled by 'dpkg-maintscript-helper dir_to_symlink' because
    of the arch:all to arch:any switch at the same time (bug #813455).
    Do not forcibly remove the old docdir in the preinst to avoid bad effects
    on other packages. Instead, in the postinst, replace the now empty
    directory with the intended symlink.  (Closes: #911616)

  * emacs-common: Add Breaks against all (versioned) emacs binary packages
    predating the unversioning in 1:25.

  * emacs-common: Add Breaks against known incompatible packages:
    - edb  (Closes: #875430)
    - egg  (Closes: #910925)

  * Add Vcs-* URLs.  (Closes: #690771)

  * Cherry-pick 34b4da37 to fix a test failure.  (Closes: #918646)

  * Clean-up debian/control.

  * Use https:// URLs and update FSF address.

  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 28 Jan 2019 14:18:17 +0100

emacs (1:26.1+1-3) unstable; urgency=medium

  * Recommend mailutils instead of depending on it.
    (Closes: 917245, 916986)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 26 Dec 2018 13:54:16 -0600

emacs (1:26.1+1-2) unstable; urgency=medium

  * Update emacs metapackage to depend on >= 1:26.1.

  * Enable support for systemd socket activation.  Thanks to Ansgar
    Burchardt for the report. (Closes: 916760)

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 20 Dec 2018 10:49:20 -0600

emacs (1:26.1+1-1) experimental; urgency=medium

  * Merge upstream version 26.1. (Closes: #907997)

  * Update debian/copyright version for 26.1.

  * Use more secure mailutils instead of internal movemail.  See the
    26.1 NEWS for more information.

  * Add debian/copyright entries for 26.1.

  * Fix epg-tests with upstream patch for newer GnuPG.  Add
    0009-An-epg-test-failure-with-recent-GnuPG-versions-has-b.patch to
    fix the problem.

  * Mark the vc-bzr-test-faulty-bzr-autoloads as unstable for now.
    Add 0010-Mark-vc-bzr-test-fauilt-bzr-autoloads-as-unstable-fo.patch to
    disable the test for now.  See the patch header for a description
    of the error.

  * tramp-test42-remote-load-path: regexp-quote directory.  Add
    0011-tramp-test42-remote-load-path-regexp-quote-directory.patch to
    fix the problem.  Otherwise the test may fail for some paths like
    those seen in an sbuild chroot,
    e.g. build/emacs-i87jK3/emacs-26.1+1/...

  * ibuffer-filter-inclusion-3: regexp-quote directory.  Add
    0012-ibuffer-filter-inclusion-3-regexp-quote-directory.patch to
    fix the problem.  Otherwise the test may fail for some paths like
    those seen in an sbuild chroot,
    e.g. build/emacs-i87jK3/emacs-26.1+1/...

  * Mark echo-server-with-dns test as :unstable for now.  It fails
    inside a Debian sbuild chroot.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 17 Dec 2018 16:41:12 -0600

emacs (1:25.2+1-11) unstable; urgency=medium

  * Add (>= 1:25) restriction to emacs metapackage dependencies.
    Without this it was possible to end up with two empty metapackages
    installed instead of the expected metapackage and actual package.
    Thanks to Shin Yoshida for reporting the problem and Sven Joachim
    for noting the solution. (Closes: 906534)

  * Don't unexpectedly modify the byte order mark.  Add
    0014-Emacs-should-no-longer-unexpectedly-alter-the-byte-o.patch to
    fix the problem.  Thanks to Vincent Lefevre for reporting the
    problem and Eli Zaretskii for the patch. (Closes: 883434)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 26 Aug 2018 11:49:09 -0500

emacs (1:25.2+1-10) unstable; urgency=medium

  * Handle the emacs-{gtk,lucid,nox} doc dir transition manually.
    Before the unversioning, these packages were in a different source
    package (emacs-defaults) and were arch all.  Since
    dpkg-maintscript-helper can't hande "all to any" transitions
    (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=813455), clean
    up manually in the preinsts.  Thanks to Sven Joachim for reporting
    the problem and indentifying the underlying cause.
    (Closes: 905555)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 12 Aug 2018 11:55:27 -0500

emacs (1:25.2+1-9) unstable; urgency=medium

  * Disable the eieio-test-37-obsolete-name-in-constructor test.  Its
    behavior is unpredictable, and it was causing some buildd builds
    to fail (cf. https://debbugs.gnu.org/24503).  Add
    0013-Disable-eieio-test-37-obsolete-name-in-constructor.patch to
    fix the problem, and thanks to Aaron M. Ucko for reporting it, and
    J. Smith for tracking down the upstream issue. (Closes: 879020)

  * Ensure /usr/share/doc/emacs-{gtk,lucid,nox} symlink is
    established.  Use dir_to_symlink to make sure the new symlink to
    emacs-common is correctly established if we're upgrading from the
    emacs-defaults packages that had a real directory.  Thanks to
    Andreas Beckmann for reporting the problem. (Closes: 903779)

  * Have emacs-{gtk,lucid,nox} replace all the related emacs25
    packages.  Add "emacs-gtk (<< 1:25), emacs-lucid (<< 1:25),
    emacs-nox (<< 1:25)" to the "Replaces:" for emacs-gtk,
    emacs-lucid, and emacs-nox to avoid conflicts over
    /usr/share/emacs/25.2/etc/DOC while unpacking.  Thanks to Axel
    Beckert for reporting the problem and Adrian Bunk and Sven Joachim
    for help with the solution. (Closes: 904957)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 04 Aug 2018 12:29:53 -0500

emacs (1:25.2+1-8) unstable; urgency=medium

  * Move unversioned emacs packages from experimental to unstable.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 29 Jul 2018 10:46:26 -0500

emacs (1:25.2+1-7) experimental; urgency=medium

  * Unversion the emacs packages.  Remove the major version from all
    of the packages.  The flexibility provided no longer appears worth
    the complexity given the more frequent upstream releases, and
    backward-compatability across them.

  * Update debian/patches for emacs25 to emacs migration.

  * Rename emacsXY to emacsXY-gtk.

  * Fix dbg package self-dependencies.

  * Stop versioning packages; change emacs25 to emacs.

  * Move mail-host-address and gnus-nntpserver-file to new
    00debian.el.

  * Move emacs binary metapackage to this package.  Add epoch so that
    new versions of the metapackage will be higher than the last
    standalone version (47.0).

  * Handle local emacs/site-lisp here instead of in emacsen-common.

  * Depend on emacsen-common (>= 3.0.0) This will complete the
    transfer of the emacs metapackage namespace to the emacs source
    package as a new concrete emacs flavor.

  * Add emacs23, emacs24, and emacs25 transitional packages.

  * debian/control: change priority extra to optional as per policy.

  * Have binary flavor packages depend on emacs-common for doc
    symlink.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 27 May 2018 10:57:34 -0500

emacs25 (25.2+1-6) unstable; urgency=high

  * Block remote code execution via enriched text.  Add
    0012-A-remote-execution-exploit-via-enriched-text-has-bee.patch to
    fix the problem.  Thanks to David Bremner for the alert and
    Salvatore Bonaccorso for reporting the problem to Debian.
    (Closes: 875447)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 11 Sep 2017 21:51:49 -0500

emacs25 (25.2+1-5) unstable; urgency=medium

  * Build with -O0 on arm64 to avoid FTBS.  Without this the build
    segfaults in marker.c when trying to construct c-by.el.
    cf. https://lists.gnu.org/archive/html/emacs-devel/2017-03/msg00798.html
    Thanks to Gianfranco Costamagna for reporting the bug and Barry
    Warsaw for suggesting the workaround. (Closes: 868165)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 31 Jul 2017 23:34:05 -0500

emacs25 (25.2+1-4) unstable; urgency=medium

  * Disable eieio-test-method-order-list-6.  Its behavior is
    unpredictable, and it was causing the armhf build to fail:
      https://debbugs.gnu.org/27878
      https://debbugs.gnu.org/24503#21
    Add 0011-Disable-eieio-test-method-order-list-6.patch to fix the
    problem.  Thanks to Glen Morris for pointing out the previous report.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 30 Jul 2017 22:31:30 -0500

emacs25 (25.2+1-3) unstable; urgency=medium

  * Actually run tests by default (fix DEB_BUILD_OPTIONS nocheck test)
    Fix the inverted logic.  Thanks to John Paul Adrian Glaubitz for
    reporting the problem.  (Closes: 869328)

  * Completely remove gconf support.  Build --without-gconf for the
    emacs25 flavor (as we already do for lucid and nox), since GConf
    has been deprecated for years.  Thanks to intrigeri for reporting
    the issue. (Closes: 869085)

  * Fix README.Debian news entry for
    0008-Don-t-provide-openssl-s_client-as-an-option-for-ssl-.patch.

  * Fix memory alignment problem causing FTBS on m68k.  Thanks to John
    Paul Adrian Glaubitz for reporting the problem and providing an
    earlier fix. (Closes: 868868)

  * Don't downcase lookup paths in elisp-mode-tests.  This caused the
    tests to fail under sbuild when the test path contained uppercase
    characters.  Add
    0010-Don-t-downcase-real-xref-in-elisp-mode-tests.patch to fix the
    problem.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 29 Jul 2017 11:58:36 -0500

emacs25 (25.2+1-2) unstable; urgency=medium

  * emacsXY-common: directly depend on install-info.  Since Emacs
    qualifies as an info reader (Debian Policy 12.2).  This should
    make sure the info index is correctly created/updated at install
    time.  Thanks to Francesco Potortì and NIIBE Yutaka for reporting
    the problem. (Closes: 850808, 863359)

  * Build all flavors from common build-src via VPATH.  Instead of
    building each flavor from scratch in a completely independent
    debian/build-FLAVOR directory, create debian/build-src and then
    configure each build-FLAVOR via VPATH.  Then the first flavor
    built will handle all of the common bootstrapping, and subsequent
    flavors will build much more quickly.

  * Migrate to debhelper 10.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 11 Jul 2017 15:46:35 -0500

emacs25 (25.2+1-1) unstable; urgency=medium

  * Merge upstream version 25.2.

  * Update debian/ for 25.2.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 01 Jul 2017 14:35:18 -0500

emacs25 (25.1+1-4) unstable; urgency=medium

  * Don't offer/use openssl s_client by default: "s_client is a debug
    tool, it does not set up a secure connection, it ignores all
    errors and just continues.  It also doesn't do checks it should be
    doing.  This is all documented behaviour." -- Kurt Roeckx
    Add 0009-openssl-s_client-is-no-longer-a-default-for-ssl-conn.patch to
    fix the problem.  Thanks to Kurt Roeckx for reporting the issue.
    (Closes: 766397)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 23 Apr 2017 11:49:52 -0500

emacs25 (25.1+1-3) unstable; urgency=medium

  * Configure with REL_ALLOC=no to fix crashes.  Thanks to Santiago
    Vila for reporting the problem, and Sean Whitton for helping test
    the fix. (Closes: 842728)

  * Disable xwidget (webkit) support.  Thanks to David Bremner for
    reporting the issue. (Closes: 843462)

  * Depend on liboss4-salsa-dev on hurd and kfreebsd.  Thanks to Aaron
    M. Ucko for reporting the problem and Svante Signell for providing
    the fix. (Closes: 840702)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 30 Nov 2016 18:15:33 -0600

emacs25 (25.1+1-2) unstable; urgency=medium

  * Respect DEB_BUILD_OPTIONS=nocheck.  Thanks to David Bremner for
    reporting the issue.

  * Don't dh_auto_clean, and run dh_clean first.  Since we don't build
    in the source tree, we shouldn't clean there either, and let
    dh_clean take care of its bits before we stomp around.

  * Install emacs.appdata.xml as emacs25.appdata.xml.

  * Drop emacs23 icons to avoid future path conflicts.  Thanks to
    Tatsuya Kinoshita for reporting the problem. (Closes: 841687)

  * Fix fix for package-test gpg-agent cleanup race.  Specify
    --no-autostart so that we don't start an agent if one wasn't
    already running when we're requesting shutdown, and delete the
    test dir with "rm -rf" to avoid being affected by vanishing
    sockets (sockets that gpg-agent may be deleting in parallel).

  * Add gnupg-agent build-dep for package-test.

  * Don't segfault if gcc expects -nopie instead of -no-pie.  Thanks
    to Lucas Nussbaum and Aaron M. Ucko for reporting the problem, and
    Sven Joachim for tracking down the upstream patch. (Closes:
    841551)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 24 Oct 2016 13:10:40 -0500

emacs25 (25.1+1-1) unstable; urgency=medium

  * Merge upstream version 25.1.
    Remove patches that are no longer needed:
      0006-Look-for-NEWS-in-order-to-find-etc-rather-than-GNU.patch
      0008-Emacs-won-t-assume-grep-supports-GREP_OPTIONS.patch
      0009-Emacs-should-no-longer-hang-during-large-yanks.patch
      0010-ELF-unexec-Correct-section-header-index.patch
      0011-ELF-unexec-Tidy-code.patch
      0012-ELF-unexec-Merge-Alpha-and-MIPS-COFF-debug-handling.patch
      0013-ELF-unexec-Symbol-table-patching.patch
      0014-ELF-unexec-_OBJC_-symbols-in-bss-sections.patch
      0015-ELF-unexec-R_-_NONE-relocs.patch
      0016-ELF-unexec-Drive-from-PT_LOAD-header-rather-than-sec.patch
      0017-ELF-unexec-Don-t-insert-a-new-section.patch
      0018-src-unexelf.c-NEW_PROGRAM_H-Remove-unused-macro-Bug-.patch
      0019-ELF-unexec-align-section-header.patch
      0020-Emacs-should-show-GTK-icons-again.patch
      0021-Emacs-should-work-with-gcc-5.2-and-newer.patch
      0022-Emacs-should-work-with-glibc-2.24-on-ppc64.patch

  * debian/upstream-version: update regex for 25.1.

  * debian/.gitignore: update for 25.1.

  * debian/changelog: change the package name to emacs25.

  * debian/copyright.in: change source archive extension to xz.

  * Update debian control and copyright for 25.1.

  * Stop mangling info files.

  * debian/rules: clean additional files for 25.1.

  * Don't copy missing-file.dfsg to THE-GNU-PROJECT.  THE-GNU-PROJECT
    is now compatible with the DFSG.  Remove missing-file.dfsg
    entirely since it it no longer being used.

  * Bump Debian alternatives priority to 28 for 25.1.

  * Remove ia64 CFLAGS "-O1" workaround.

  * Compute version in strip-nondeterminism fix.  Use $(runtime_ver)
    and $(flavor) instead of 24.5 and emacs24.

  * Fix dh_listpackages in strip-nondeterminism target.

  * Set libmagick build-dep to libmagick++-6.q16-dev.

  * debian/setup-stamp: remove redundant mkdir.

  * Don't default to ALSA support; explicitly request it.

  * Run tests in all three debian/ build trees.

  * Enable xwidget (webkit) support for emacs25.

  * Convert debian/copyright to 1.0; update for 25.1.  Explicitly
    mention the unusual debian/rules copyright, which will be
    addressed via #826347.

  * Add dbus-x11 and procps build-deps for tests.

  * Kill gpg agent in package-test.el to avoid a race.  Add
    0007-Kill-gpg-agent-in-package-test.el-to-avoid-a-race.patch to
    incorporate the fix.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 10 Oct 2016 21:54:59 -0500

emacs24 (24.5+1-7) unstable; urgency=medium

  * debian/control: make Source-Version source:Version.  Thanks to
    Guillem Jover for reporting the problem. (Closes: 833215)

  * Restore GTK+ toolbar icons.
    Add 0020-Emacs-should-show-GTK-icons-again.patch to include the relevant
    upstream code.  Thanks to Juerg Haefliger for reporting the problem and
    pointing out the relevant upstream commit. (Closes: 828000)

  * Fix malloc handling with newer gcc (>= 5.2).
    Add 0021-Emacs-should-work-with-gcc-5.2-and-newer.patch to incorporate
    the relevant upstream code.  Thanks to Aurelien Jarno for reporting the
    problem and backporting the fix.

  * Support glibc 2.24.
    Add 0022-Emacs-should-work-with-glibc-2.24-on-ppc64.patch to incorporate
    the relevant upstream code. Thanks to Aurelien Jarno for reporting the
    problem and backporting the fix. (Closes: 833727)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 05 Sep 2016 15:05:00 -0500

emacs24 (24.5+1-6) unstable; urgency=medium

  * Fix a ppc64el, bss-related build problem.
    Builds on ppc64el were failing like this:
      emacs: Program segment above .bss in
      /«BUILDDIR»/emacs24-24.5+1/debian/build-x/src/temacs
    Add these upstream patches to fix the problem:
      0010-ELF-unexec-Correct-section-header-index.patch
      0011-ELF-unexec-Tidy-code.patch
      0012-ELF-unexec-Merge-Alpha-and-MIPS-COFF-debug-handling.patch
      0013-ELF-unexec-Symbol-table-patching.patch
      0014-ELF-unexec-_OBJC_-symbols-in-bss-sections.patch
      0015-ELF-unexec-R_-_NONE-relocs.patch
      0016-ELF-unexec-Drive-from-PT_LOAD-header-rather-than-sec.patch
      0017-ELF-unexec-Don-t-insert-a-new-section.patch
      0018-src-unexelf.c-NEW_PROGRAM_H-Remove-unused-macro-Bug-.patch
      0019-ELF-unexec-align-section-header.patch
    Thanks to Paul Eggert <eggert@cs.ucla.edu> for help locating the set
    of patches, and Esa Peuha <esa.peuha@gmail.com> for reporting the
    problem. (Closes: 808347)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 18 Jan 2016 17:58:10 -0600

emacs24 (24.5+1-5) unstable; urgency=medium

  * Only test timestamp preservation for $(flavor)-el.  Only check
    el.gz timestamp preservation when $(flavor)-el is one of the
    packages being built (so the canary file will actually be there),
    but go ahead and fix up the timestamps across all packages.
    Thanks to David Matthew Mattli <dmm@mattli.us> for reporting the
    problem. (Closes: 805904)

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 27 Nov 2015 14:28:00 -0600

emacs24 (24.5+1-4) unstable; urgency=medium

  * Ensure elc timestamps are newer than el files.  Since
    strip-nodeterminism changes the *.el.gz file timestamps, restore
    the timestamps after it runs.  Otherwise, Emacs will think that
    corresponding .elc files are stale.  Thanks to Yuri D'Elia
    <wavexx@thregr.org> for reporting the problem.  (Closes: 803060)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 07 Nov 2015 13:20:43 -0600

emacs24 (24.5+1-3) unstable; urgency=medium

  * Split desktop file into term and non-term versions.  Thanks to
    Norbert Preining <preining@logic.at> for reporting the
    problem. (Closes: 799935)

  * Add upstream StartupWMClass/Keywords to *.desktop.  Copy them from
    the upstream etc/emacs.desktop.

  * Suggest ncurses-term, needed by term mode.  Thanks to Jorge Morais
    for reporting the problem and era+debian@iki.fi for forwarding it
    to Debian. (Closes: 790402)

  * Remove redundant libtiff-dev dependency.

  * emacs-common: recommend emacs-el.  Without it, important bits of
    Emacs don't work (i.e. C-h f, etc.), and it's not likely to be a
    significant burden these days.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 24 Oct 2015 14:38:04 -0500

emacs24 (24.5+1-2) unstable; urgency=medium

  [ Martin Račák ]
  * emacsVER.desktop: don't use absolute path to icon. (Closes: 778884)

  [ Rob Browning ]
  * Remove .menu file as per TC resolution of #741573.
  * Update .desktop file and add terminal flavor.

  [ David Bremner ]
  * Explicity specify QUILT_PATCHES_PREFIX in rules.  The current use
    relies on the names of patches being prefixed with debian/patches,
    which doesn't seem to be completely reliable (e.g. it doesn't
    happen in a wheezy build environment).  The environment variable
    QUILT_PATCHES_PREFIX is documented to do this. (Closes: 775068)

  [ Rob Browning ]
  * Don't assume grep supports GREP_OPTIONS.
    Add 0008-Emacs-won-t-assume-grep-supports-GREP_OPTIONS.patch to
    incorporate the relevant upstream patch.  Thanks to Bob Proulx
    <bob@proulx.com> for reporting the problem, and Ben Finney
    <ben+debian@benfinney.id.au> for tracking down the fix. (Closes: 793741)
  * Don't hang during large yanks.
    Add 0009-Emacs-should-no-longer-hang-during-large-yanks.patch to
    incorporate the relevant upstream patch.  Thanks to Mike Crowe
    <mac@mcrowe.com> for reporting the problem and tracking down the
    fix. (Closes: 795909)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 19 Sep 2015 14:49:07 -0500

emacs24 (24.5+1-1) unstable; urgency=medium

  * Merge upstream version 24.5 (shift from the bzr->git mirror to the
    new official upstream git repository for the source).
    Remove redundant patches:
      0008-A-race-to-create-info-has-been-eliminated.patch
      0009-Nil-load-path-elements-shouldn-t-crash-Emacs.patch

  * Update debian/copyright* for 24.5.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 17 Jun 2015 00:06:26 -0500

emacs24 (24.4+1-5) unstable; urgency=medium

  * emacs24-common: conflict with obsolete gnus-bonus-el package.
    Thanks to Hilko Bengen for reporting the problem. (Closes: 767949)

  * Add "Breaks: apel (<< 10.8+0.20120427-4)" to emacs24-common to fix
    a byte-compilation problem with older versions of the package.
    Thanks to Łukasz Stelmach for the report and Sébastien Villemot
    for tracking down the correct version. (Closes: 775564)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 07 Mar 2015 13:25:57 -0600

emacs24 (24.4+1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick 0009-lisp-startup.el-command-line.patch to fix handling
    nil elements in load-path (Closes: #768751)

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 09 Dec 2014 16:24:27 +0100

emacs24 (24.4+1-4) unstable; urgency=medium

  * Update emacsen-common dependency as per policy.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 25 Oct 2014 14:37:43 -0500

emacs24 (24.4+1-3) experimental; urgency=medium

  * Eliminate a race to create info/ during the build.  Add
    0008-A-race-to-create-info-has-been-eliminated.patch with the
    relevant changes.  Thanks to Paul Eggert <eggert@cs.ucla.edu> for
    tracking down the problem and providing the fix.

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 23 Oct 2014 11:13:21 -0500

emacs24 (24.4+1-2) experimental; urgency=medium

  * Adjust update_autogen and make-info-dir for DFSG removals.
    Change 0003-Remove-files-that-appear-to-be-incompatible-with-the.patch
    accordingly.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 22 Oct 2014 19:38:20 -0500

emacs24 (24.4+1-1) experimental; urgency=medium

  * Merge upstream version 24.4.
    Remove (unneeded) src/macuvs.h and admin/unidata/IVD_Sequences.txt
    until we're sure about the license:
      https://lists.gnu.org/archive/html/emacs-devel/2014-10/msg00742.html
    Remove new GFDL files (moved to emacs24-common-non-dfsg):
      doc/misc/eww.texi
      doc/misc/ido.texi
      doc/misc/octave-mode.texi
      doc/misc/todo-mode.texi
    Remove redundant patches:
      0007-Invoke-the-correct-xmlstarlet-executable-on-Debian-s.patch
      0008-Emacs-should-no-longer-hang-at-startup-on-kFreeBSD.patch
      0009-Emacs-should-no-longer-hang-at-startup-on-kFreeBSD.patch
      0010-Emacs-should-now-build-correctly-on-GNU-Hurd.patch
      0011-Gnus-should-no-longer-use-a-predictable-temp-file-na.patch
      0012-Security-issues-in-find-gc.el-have-been-fixed-CVE-20.patch
      0013-Security-issues-in-tramp-have-been-fixed-CVE-2014-34.patch
      0014-Insecure-file-handling-in-browse-url-mosaic-has-been.patch
      0015-The-compose-key-should-now-work-better-with-UIM-1-4.patch
      0016-The-compose-key-should-now-work-better-with-UIM-2-4.patch
      0017-The-compose-key-should-now-work-better-with-UIM-3-4.patch
      0018-The-compose-key-should-now-work-better-with-UIM-4-4.patch
      0019-fill-region-as-paragraph-should-better-respect-the-f.patch
      0020-Emacs-should-now-follow-Make-4.0-directory-changes.patch

  * Update debian/copyright* for 24.4.  Update entry for man/faq.texi
    (now doc/mis/efaq.texi); add entries for doc/misc/efaq-w32.texi,
    lisp/obsolete/meese.el, msdos/sedadmin.inp, nt/inc/dirent.h, and
    all of the files in m4/ except gnulib-comp.m4.

  * Ignore src/macuvs.h and IVD_Sequences.txt for now.  Add
    0007-Don-t-try-to-build-src-macuvs.h-via-IVD_Sequences.tx.patch to
    avoid trying to build src/macuvs.h (via IVD_Sequences.txt) since
    we removed it for the time being, due to uncertainty over the
    licensing.

  * Build depend on libacl1-dev for new ACL support

  * Build depend on zlib1g-dev for new zlib support

  * Remove obsolete configure argument --with-crt-dir

  * Look for DOC, not DOC-$(runtime_ver) in debian/rules.  The DOC
    file is now just DOC.

  * Don't try to remove /usr/local in debian/rules.  It's not created
    during the build anymore.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 21 Oct 2014 21:27:56 -0500

emacs24 (24.3+1-5) unstable; urgency=medium

  * Fix patch-to-news: notice error; correct path

  * Fix a problem with UIM and the compose key.
    Incorporate the relevant upstream patches:
      0015-The-compose-key-should-now-work-better-with-UIM-1-4.patch
      0016-The-compose-key-should-now-work-better-with-UIM-2-4.patch
      0017-The-compose-key-should-now-work-better-with-UIM-3-4.patch
      0018-The-compose-key-should-now-work-better-with-UIM-4-4.patch
    Thanks to Anders Kaseorg <andersk@MIT.EDU> for the report, and for
    tracking down the relevant patches. (Closes: 753534)

  * Make fill-region-as-paragraph respect the fill-column.
    Add 0019-fill-region-as-paragraph-should-better-respect-the-f.patch.
    Thanks to Nobuhiro IMAI <nov@yo.rim.or.jp> for reporting the problem
    and tracking down the relevant patch. (Closes: 539634)

  * Follow Make 4.0 directory changes in compile mode.
    Add 0020-Emacs-should-now-follow-Make-4.0-directory-changes.patch
    to incorporate the relevant upstream patch.
    Thanks to Christophe Troestler <Christophe.Troestler@umons.ac.be> for
    reporting the problem. (Closes: 747624)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 06 Sep 2014 11:38:08 -0500

emacs24 (24.3+1-4) unstable; urgency=medium

  [ Rob Browning ]
  * Fix insecure temp file in gnus-fun.el (CVE-2014-3421)
    Add 0011-Gnus-should-no-longer-use-a-predictable-temp-file-na.patch to
    incorporate the relevant upstream patch.
    Partially-fixes: 748140

  * Fix insecure temp file in gnus-fun.el (CVE-2014-3421)
    Add 0012-Security-issues-in-find-gc.el-have-been-fixed-CVE-20.patch to
    incorporate the relevant upstream patch.
    Partially-fixes: 748140

  * Fix tramp security issues (CVE-2014-3424)
    Add 0013-Security-issues-in-tramp-have-been-fixed-CVE-2014-34.patch to
    incorporate the relevant upstream patch.
    Partially-fixes: 748140

  * Fix browse-url-mosaic security issues (CVE-2014-3423)
    Add 0014-Insecure-file-handling-in-browse-url-mosaic-has-been.patch to
    incorporate the relevant upstream patch.
    Partially-fixes: 748140

  * Given the four fixes above: (Closes: 748140)

  [ Dimitri John Ledkov ]
  * Build using gnutls28. (Closes: 747448)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 14 May 2014 19:21:11 -0500

emacs24 (24.3+1-3) unstable; urgency=low

  * Describe emacs24/emacs24-lucid/emacs24-nox more clearly in
    debian/control.  Explain the differences more clearly, and mention
    the emacsclient related crash that emacs24-lucid may help avoid.
    Thanks to Jonathan Nieder <jrnieder@gmail.com> for the report, and
    to him and Justin B Rye <jbr@edlug.org.uk> for suggesting
    improvements.  (Closes: 682288)

  * Fix build on GNU/Hurd.
    Add 0010-Emacs-should-now-build-correctly-on-GNU-Hurd.patch to
    incorporate the relevant upstream patch.  Thanks to Pino Toscano
    <pino@debian.org> for the report. (Closes: 725099)

  * Change the build dependency from libtiff4-dev to libtiff-dev.
    Thanks to Jay Berkenbilt <qjb@debian.org> for the report.
    (Closes: 735999)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 05 May 2014 19:36:05 -0500

emacs24 (24.3+1-2) unstable; urgency=low

  * Set CFLAGS, CPPFLAGS, and LDFLAGS solely via configure in debian/rules.
    Don't override the CFLAGS, CPPFLAGS, and LDFLAGS values chosen by the
    upstream configure script; instead, make any adjustments at configure
    time.  Our quashing of "-Wl,-znocombreloc" during the make invocation
    was causing i386 builds of emacs24-lucid to fail under X.
    Thanks to Łukasz Pankowski <lukpank@o2.pl> for the report, and Samuel
    Bronson <naesten@gmail.com> for the patch. (Closes: 684788)

  * debian/rules: clean src/stamp-h.in.
    Thanks to Samuel Bronson <naesten@gmail.com> for the patch.

  * Explicitly create $(pkgdir_el) in debian/rules (fix FTBS).
    Thanks to Lucas Nussbaum <lucas@lucas-nussbaum.net> for the report,
    Matt Kraai <kraai@ftbfs.org> for the patch, and Dmitrijs Ledkovs
    <xnox@debian.org> for the 24.3+1-1.1 NMU. (Closes: 707488)

  * Specify --without-gsettings for emacsFLAVOR-nox and emacsFLAVOR-lucid.
    Thanks to Yuri D'Elia <wavexx@thregr.org> for the report.
    (Closes: 687299, 687303)

  * Fix hang at startup on kFreeBSD.
    Add debian/patches/0008-Emacs-should-no-longer-hang-at-startup-on-kFreeBSD.patch
    and debian/patches/0009-Emacs-should-no-longer-hang-at-startup-on-kFreeBSD.patch
    to incorporate the two relevant upstream patches.
    Thanks to Christoph Egger <christoph@debian.org> for the report.
    (Closes: 712974)

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 26 Sep 2013 17:42:00 -0500

emacs24 (24.3+1-1) unstable; urgency=low

  * Upgrade to upstream version 24.3 and update debian/copyright,
    debian/patches, debian/rules, etc.

  * Remove patches that appear to have been incorporated upstream:
      0008-Fix-startup-hang-on-Debian-GNU-kFreeBSD.patch
      0009-Restore-doc-emacs-emacsver.texi.patch
      0010-Don-t-use-IN_FLOAT-when-calling-fabs-since-it-may-cl.patch

  * 0001-Prefer-usr-share-info-emacs-24-over-usr-share-info.patch:
    remove lisp/site-init.el in favor of a modification to
    lisp/info.el to directly prepend /usr/share/info/emacs-%d to
    Info-default-directory-list (setting it directly in site-lisp.el
    no longer worked, and was more complicated).

  * Automatically compute upstream version in debian/rules.

  * Mention the etc/publicsuffix.txt license in debian/copyright.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 13 Apr 2013 11:11:16 -0500

emacs24 (24.2+1-2) unstable; urgency=low

  * Switch emacs24 from GTK+ 2 to GTK+ 3. (Closes: #679931)

  * Migrate to debhelper 9.

  * Add emacsVER-dbg, emacsVER-lucid-dbg, and emacsVER-nox-dbg packages.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 20 Jan 2013 16:18:00 -0600

emacs24 (24.2+1-1) unstable; urgency=high

  * Upgrade to upstream version 24.2 and update debian/patches.

  * Remove patches that have been incorporated upstream:
      0010-Rename-infodir-to-buildinfodir-in-doc-Makefile.in-GN.patch

  * Stop producing the emacs binary metapackage.
    Move the emacs binary metapackage to its own source package
    (emacs-defaults, cf. gcc-defaults).  This will prevent emacs23 and
    emacs24 from producing the same binary package.

  * Don't eval code when enable-local-variables is :safe.  Previously,
    Emacs might eval forms in file-local variable sections even when
    the Emacs user option `enable-local-variables' was set to :safe
    (CVE-2012-3479).  Emacs 24.2 fixes the problem.  Thanks to Henri
    Salo <henri@nerv.fi> for the report.  (Closes: #684695)

  * Have debian/% depend on debian/rules since it now sets the
    upstream_ver.

  * Update debian/rules upstream_ver to 24.2 and run "debian/rules
    debian-sync".

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 09 Sep 2012 12:03:31 -0500

emacs24 (24.1+1-4) unstable; urgency=low

  * Fix FTBS on ia64 with -O1.  Remove redundant LDFLAGS+=-g and
    CFLAGS+=-O2.  See also: #582439. (Closes: #679986)

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 20 Jul 2012 12:51:32 -0500

emacs24 (24.1+1-3) unstable; urgency=low

  * Add 0011-Don-t-use-IN_FLOAT-when-calling-fabs-since-it-may-cl.patch.
    Fix FTBS on i386 by adding an upstream patch to skip fabs() errno
    checking.  Since fabs() has no error conditions, it doesn't guarantee
    that it won't clobber errno.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 17 Jul 2012 19:25:59 -0500

emacs24 (24.1+1-2) unstable; urgency=low

  * Restrict libselinux1-dev build dependency to [linux-any].
    Thanks to James McCoy <jamessan@debian.org> for the report.
    (Closes: #679679)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 04 Jul 2012 19:16:00 -0500

emacs24 (24.1+1-1) unstable; urgency=low

  * Upgrade to upstream version 24.1.

  * Fix Prefer-usr-share-info-emacs-23-over-usr-share-info.patch for emacs24.

  * Update Debian-specific documentation in patches/ for emacs24.
    Adjust 0002-Run-debian-startup-and-set-debian-emacs-flavor.patch
    header to refer to 'emacs24.  Refer to emacs24-common in /etc/NEWS
    in 0004-Adjust-documentation-references-for-Debian.patch.

  * Update debian/control* and debian/copyright for emacs24.

  * Update debian/.gitignore for emacs24.

  * Add 0009-Restore-doc-emacs-emacsver.texi.patch.

  * Add 0010-Rename-infodir-to-buildinfodir-in-doc-Makefile.in-GN.patch.

  * Add build-deps: libgnutls-dev libxml2-dev libselinux1-dev libmagick++-dev.

  * Clean up debian/rules, and update it for emacs24.

  * Allow DEB_BUILD_OPTIONS parallel builds again.

  * Change emacs package to stick with emacs23 for now.

  * Fix emacsVER.lintian-overrides to refer to the correct icon paths.

  * Fix package descriptions to satisfy lintian.

  * Don't compile with -DDEBIAN anymore (no longer needed).

  * Don't switch to -O1 for m68k and ia64; hopefully unnecessary now.

  * Verify that movemail was compiled against liblockfile.

  * Don't copy .git to build trees.

  * Uncompress manpages before trying to give them versioned names.

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 29 Jun 2012 16:16:28 -0500

emacs23 (23.4+1-3) unstable; urgency=low

  * Add 0017-Initialize-xgselect-in-function-xg_select-when-gfds_.patch.
    Patch xgselect.c to prevent hang when using newer versions of
    GLib.  Thanks to Vincent Lefevre <vincent@vinc17.net> and Sven
    Arvidsson <sa@whiz.se> for the initial reports, and Karel Klíč
    <kklic@redhat.com> for the patch. (Closes: #666691)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 07 Apr 2012 14:35:51 -0500

emacs23 (23.4+1-2) unstable; urgency=low

  * Add 0015-coding.c-produce_chars-Fix-updating-of-src_end-Bug-1.patch.
    Incorporate upstream fix to prevent Emacs from crashing while
    decoding input with DOS EOLs.

  * Add 0016-quail-indian.el-indian-tlg-base-table-Fix-typo-dev-t.patch.
    Rename indian-dev-base-table to indian-tlg-base-table to correct a
    typo in quail/indian.el.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 21 Mar 2012 01:19:53 -0500

emacs23 (23.4+1-1) unstable; urgency=low

  * Upgrade to upstream version 23.4.  Emacs 23.4 includes grammars
    that were missing for some of its bison parsers.  Thanks to Julian
    Andres Klode <jak@debian.org> for the report. (Closes: #635938)

  * Update debian/* for Emacs 23.4.

  * Depend on libpng-dev rather than libpng12-dev.  Thanks to Nobuhiro
    Iwamatsu <iwamatsu@nigauri.org> for the report.  (Closes: #662312)

  * Add 0014-Fix-hang-after-C-z-in-gnome-shell.patch.  Emacs should no
    longer hang when C-z is pressed within the Gnome shell.  Thanks to
    Nikolay Pelov <npelov@gmail.com> for the report.
    (Closes: #655592)

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 20 Mar 2012 23:39:44 -0500

emacs23 (23.3+1-5) unstable; urgency=high

  * Add 0017-Define-POSIX_SIGNALS-for-GNU-Hurd.patch.  Thanks to
    Samuel Thibault <sthibault@debian.org> for the report and the
    patch. (Closes: #650976)

  * Add 0018-Don-t-let-CEDET-execute-code-from-an-arbitrary-Proje.patch.
    Don't execute arbitrary elisp code from any file named Project.ede
    in or above a CEDET-related directory (CVE-2012-0035).  Thanks to
    Florian Weimer <fw@deneb.enyo.de> for the report.
    (Closes: #655299)

  * Add 0019-Add-a-printf-attribute-to-movemail.c-to-allow-harden.patch.
    Use varargs in movemail.c error() and add a printf attribute to
    support hardened build flags.

  * Add debian/rules support for hardened build flags.  Thanks to
    Moritz Muehlenhoff <jmm@debian.org> for the report and the
    patch. (Closes: #655118)

  * Add conflict with cedet, eieio, and speedbar.  Don't allow the
    older standalone packages to remain installed since they break
    emacs23, emacs23 includes them, and they're no longer in
    unstable/testing.  Thanks to Ivan Vilata i Balaguer
    <ivan@selidor.net> for the report.  (Closes: #632142)

  * Change negated build-dep [!hurd-i386...] to [linux-any].  Thanks
    to Robert Millan <rmh@debian.org> for the report.
    (Closes: #634336)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 29 Jan 2012 14:06:03 -0600

emacs23 (23.3+1-4) unstable; urgency=low

  * Add 0016-Use-CRT_DIR-to-find-crt-.o-on-ppc64.patch.
    Thanks to Hiroyuki Yamamoto <yama1066@gmail.com> for the report
    and the patch. (Closes: #646609)

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 25 Oct 2011 19:58:32 -0500

emacs23 (23.3+1-3) unstable; urgency=low

  * Add 0015-Look-for-crt1.o-in-the-correct-multiarch-location.patch.
    Thanks to Sven Joachim <svenjoac@gmx.de> for the report and the patch,
    and and Philipp Kern <pkern@debian.org> for the 23.3+1-1.1 NMU, which
    included it. (Closes: #629567)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 24 Oct 2011 22:45:37 -0500

emacs23 (23.3+1-2) unstable; urgency=low

  * Add 0014-Add-i386-to-cpp_undefs-in-configure.in-to-fix-i386-m.patch.
    Thanks to Steve Langasek <steve.langasek@canonical.com> for the
    report, Sven Joachim <svenjoac@gmx.de> for the patch, and Philipp
    Kern <pkern@debian.org> for the 23.3+1-1.1 NMU, which included it.
    (Closes: #620795)

  * Don't explicitly add leim to locallispath since it's no longer
    necessary.  (Closes: #476660)

  * Don't test for src/emacs.c in rules since the whole tree is in git
    now.

  * Drop dh --with autotools_dev; it doesn't work if config.* files
    are missing.

  * Build-depend on libjpeg-dev rather than libjpeg62-dev.  Thanks to
    Bill Allombert <ballombe@debian.org> for the report and Philipp
    Kern <pkern@debian.org> for the 23.3+1-1.1 NMU which included a
    patch. (Closes: #633744)

  * Pass the correct crt-dir to ./configure for multiarch.  Thanks to
    Sven Joachim <svenjoac@gmx.de> for the report and the patch, and
    thanks to Philipp Kern <pkern@debian.org> for the 23.3+1-1.1 NMU
    which included the patch. (Closes: #629567)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 23 Oct 2011 01:22:00 -0500

emacs23 (23.3+1-1) unstable; urgency=low

  * Incorporate new upstream version 23.3.

  * Don't clear FONTCONFIG_LIBS and FONTCONFIG_CFLAGS in configure.
    Thanks to Peter Fritzsche <peter.fritzsche@gmx.de> for the report
    and Matthias Klose <doko@ubuntu.com> for the patch.
    (closes: #554324)

  * Adjust emacsVER-common.README to accommodate new patch headers.
    Add debian/patch-to-news to handle converting new git-dpm style
    patch headers to emacsVER-common.README.

  * Rely on autotools-dev for config.guess and config.sub.

  * Fix a tty-related preprocessor inclusion error affecting GNU/Hurd
    systems.  Thanks to Samuel Thibault <sthibault@debian.org> for the
    report and the patch. (closes: #610576)

  * Expect 0 from kill() for zombies on GNU/Hurd.  This should prevent
    Emacs from hanging on affected systems.  Thanks to Samuel Thibault
    <sthibault@debian.org> for the report and the patch.
    (closes: #611591)

  * Remove debian/dfsg-splitter since the split is now being handled
    directly in git.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 10 Apr 2011 10:33:31 -0500

emacs23 (23.2+1-7) unstable; urgency=low

  * Don't initialize the terminal twice.  Previously a console-mode
    Emacs would send the escape sequence to switch to the alternate
    screen twice. At a minimum, this caused problems with screen.
    Thanks to Courtney Bane <debian-bugs-5265@cbane.org> for the
    report and the patch. (closes: #599463)

  * Fix the value for RIPEMD-160 in epg-digest-algorithm-alist
    according to RFC 4880.  Thanks to Daniel Kahn Gillmor
    <dkg@fifthhorseman.net> for the report and the fix.
    (closes: #594510)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 11 Dec 2010 11:00:07 -0600

emacs23 (23.2+1-6) unstable; urgency=low

  * Build-depend on "bsd-mailx | mailx" rather than just "mailx" since
    the latter is a virtual package.  Thanks to Cyril Brulebois
    <kibi@debian.org> for the report, and thanks to Mehdi Dogguy
    <mehdi@debian.org> for the 23.2+1-5.1 NMU. (closes: #600826)

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 26 Nov 2010 11:34:32 -0600

emacs23 (23.2+1-5) unstable; urgency=low

  * Apply upstream patches to prevent the string and unibyte-string
    functions from overflowing the stack
    (prevent-string-stack-overflow.diff,
    prevent-let-eval-apply-stack-overflow.diff, and
    use-safe-alloca-lisp-in-let-eval-apply-apply_lambda.diff).  Thanks
    to Carl Worth <cworth@debian.org> and Sven Joachim
    <svenjoac@gmx.de> for finding the patches (closes: #586459).

  * Apply upstream patch to prevent mail destined for
    mail-archive-file-name from being lost
    (fix-gnus-output-to-mail-with-live-rmail-buffers.diff).  Thanks to
    Jeroen Nijhof <jeroen@nijhof.uklinux.net> for the report and Sven
    Joachim <svenjoac@gmx.de> for tracking down the patch.
    (closes: #597255)

  * Remove debian-adjust-mail-from-addresses-patch.diff to stop
    adjusting the message-sendmail-f-is-evil default.  Match the
    behavior of the Debian gnus package, Emacs upstream, and
    emacs-snapshot.  Thanks to Artem Chuprina <ran@wizzle.ran.pp.ru>
    for the report. (closes: #397757)

  * Apply upstream patch to fix the computation of the width of
    dual-width fonts (fix-fc-dual-font-width-calculation.diff).
    Thanks to mizuno hajime <hajime.mizuno@gmail.com> for the report
    and Sven Joachim <svenjoac@gmx.de> for tracking down the
    patch. (closes: #588808)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 18 Oct 2010 00:17:56 -0500

emacs23 (23.2+1-4) unstable; urgency=low

  * Disable parallel builds (via DEB_BUILD_OPTIONS=parallel) until an
    upstream race condition is fixed.  Thanks to Sven Joachim
    <svenjoac@gmx.de> for the report. (closes: #592992)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 14 Aug 2010 16:34:11 -0500

emacs23 (23.2+1-3) unstable; urgency=low

  * Don't try to "mkdir $(infodir)" in doc/*/Makefile.in.  Thanks to
    Stéphane Glondu <glondu@debian.org> for the 23.2+1-2.1 NMU.

  * Use -O1 rather than -O2 on ia64.  Fixes a build failure (looks
    like a broken byte compiler) with newer versions of gcc
    (c.f. #207580).  Thanks to Sven Joachim <svenjoac@gmx.de> for the
    report and thanks to Stéphane Glondu <glondu@debian.org> for the
    23.2+1-2.1 NMU. (closes: #582439)

  * Remove deprecated Encoding field from emacsVER.desktop.  Thanks to
    Stéphane Glondu <glondu@debian.org> for the 23.2+1-2.1
    NMU.

  * Use "set -e" rather than "/bin/sh -e" in emacsVER-common.postinst
    and emacsVER-bin-common.postinst.  Thanks to Stéphane Glondu
    <glondu@debian.org> for the 23.2+1-2.1 NMU.

  * Add a Homepage field to debian/control.in.  Thanks to Stéphane
    Glondu <glondu@debian.org> for the 23.2+1-2.1 NMU.

  * Remove redundant Section and Priority fields from binary packages
    in debian/control.in.  Thanks to Stéphane Glondu
    <glondu@debian.org> for the 23.2+1-2.1 NMU.

  * Change quilt Build-Depends from (>= 0.42-1) to (>= 0.42).  Thanks
    to Stéphane Glondu <glondu@debian.org> for the 23.2+1-2.1 NMU.

  * Change debhelper Build-Depends from (>=4) to (>= 7.0.50~) to
    support rules overrides.  Thanks to Sven Joachim
    <svenjoac@gmx.de>, and thanks to Stéphane Glondu
    <glondu@debian.org> for the 23.2+1-2.1 NMU.

  * Add ${misc:Depends} to debian/control for debhelper.  Thanks to
    Stéphane Glondu <glondu@debian.org> for the 23.2+1-2.1 NMU.

  * Fix startup hang on GNU/kFreeBSD (fix-kfreebsd-startup.diff).
    Thanks to antoine beaupre <anarcat@anarcat.ath.cx> for the report
    and Petr Salinger <Petr.Salinger@seznam.cz> for the patch.
    (closes: #559392)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 14 Aug 2010 11:57:17 -0500

emacs23 (23.2+1-2) unstable; urgency=low

  * Respect DESTDIR in doc/misc/Makefile.in. (closes: #581642)

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 14 May 2010 21:56:27 -0700

emacs23 (23.2+1-1) unstable; urgency=low

  * New emacs23 packages.

  * Update debian/dfsg-splitter.

  * Add dependency on libgconf2-dev and use --without-gconf for
    emacsFLAVOR-nox and emacsFLAVOR-lucid builds.

  * Remove patches:
      patches/fix-dynamic-menus.diff
      patches/fix-gtk-scroll-bar-events.diff
      patches/fix-rmail-capitalized-month-names.diff
      patches/use-zwj-and-zwnj-for-indic-scripts.diff

  * Refresh remaining patches.

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 13 May 2010 19:21:32 -0700

emacs23 (23.1+1-9) unstable; urgency=low

  * Fix binary-only builds (dpkg-buildpackage -B) and conditionalize
    all packages in dh_auto_install. (closes: #580067)

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 06 May 2010 22:59:26 -0700

emacs23 (23.1+1-8) unstable; urgency=low

  * Add automake to Build-Depends. (closes: #580006)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 02 May 2010 19:53:36 -0700

emacs23 (23.1+1-7) unstable; urgency=low

  * Remove Jerome from debian/control Uploaders since he has
    retired. (closes: #573442)

  * Support DEB_BUILD_OPTIONS parallel=N.

  * Follow current autotools-dev recommendations - build-depend on
    autoconf, remove the automatically generated files in clean, and
    regenerate them before building.

  * Update debian/compat from 4 to 7.

  * Switch to Debian 3.0 (quilt) source format and drop debian/rules
    "protected_files" handling since we don't build in $(CURDIR) and
    haven't for a while.

  * Fix ctags manpage rewriting so that ctags.FLAVOR.1 actually refers
    to man1/etags.FLAVOR.1 as intended.

  * Change debian/rules to use "dh $@" approach.

  * Update emacsFLAVOR-common dpkg dependency to require "dpkg (>=
    1.15.4) | install-info" for proper info page handling (Debian
    Policy 12.2), and remove install-info dependency from packages
    without info files.

  * Don't define unix when building emacs
    (add-unix-to-cpp-undefs.diff).

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 02 May 2010 10:56:09 -0700

emacs23 (23.1+1-6) unstable; urgency=low

  * Apply an upstream patch to fix a problem with GTK+ scroll
    bars. Thanks to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr> for
    the report and Sven Joachim <svenjoac@gmx.de> for tracking down
    the patch. (closes: #560573)

  * Apply an upstream patch to include ZWJs and ZWNJs for all Indic
    scripts.  Thanks to Praveen A <pravi.a@gmail.com> for the
    report. (closes: #559292)

  * Fix update-alternatives call for emacs manpage.  Thanks to
    Jörg-Volker Peetz <peetz@dynato-kyma.net> and Sven Joachim
    <svenjoac@gmx.de> for the report. (closes: #552565)

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 26 Jan 2010 22:51:54 -0800

emacs23 (23.1+1-5) unstable; urgency=low

  * Apply upstream patch to fix problem with GTK and dynamically
    generated menus (which could be unexpectedly empty).  Thanks to
    Baylis Shanks <bshanks3@hotmail.com> for the report.
    (closes: 550541)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 01 Nov 2009 10:00:58 -0800

emacs23 (23.1+1-4) unstable; urgency=low

  * Remove redundant upstream emacs.desktop files from emacs23-common,
    and merge some of the upstream emacs.desktop file info into the
    Debian files.  Thanks to Michael Biebl <biebl@debian.org> for the
    report. (closes: #541173)

  * Handle the fact that the share/info/emacs-VER/dir{,.old} files may
    not be created during the install (and so may not need to be
    removed).  This may be the case with dpkg 1.5.4 or newer.  Thanks
    to Sven Joachim <svenjoac@gmx.de> for the report and the
    fix. (closes: 545379)

  * Add a bit to the emacsVER-lucid description.  Thanks to Drew
    Parsons <dparsons@debian.org> for the suggestion.
    (closes: #545263)

  * Add provides emacs23-gtk to emacs23 as a transition measure (to be
    deleted in emacs24) to allow more seamless upgrades from the
    earlier unstable/testing packages.  Thanks to Josh Triplett
    <josh@joshtriplett.org> for the suggestion. (closes: #545405)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 13 Sep 2009 18:10:28 -0700

emacs23 (23.1+1-3) unstable; urgency=low

  * Fix overlooked manpage rename in emacsVER.postinst.  Thanks to
    Sven Joachim <svenjoac@gmx.de>. (closes: #539926)

  * Change emacsVER to be the GTK+ version to match the upstream
    default, and add an emacsVER-lucid package for those who still
    want the non-GTK+ version.  Thanks to Romain Francoise
    <rfrancoise@debian.org> and others for the report.
    (closes: #539800)

  * Don't build-depend on libgmp-dev on hurd or kfreebsd.  Thanks to
    Cyril Brulebois <kibi@debian.org>. (closes: #541353)

  * Fix emacsVER.desktop to refer to SVG file instead of incorrect
    PNG, remove emacs22.png files from unversioned /usr/share/icons
    directory, and change emacs*.png and emacs*.svg files to
    emacsVER*.png and emacsVER*.svg.  Also use update-alternatives to
    manage the unversioned names for these files.  Thanks to Atsuhito
    KOHDA <kohda@pm.tokushima-u.ac.jp> for the initial
    report. (closes: #539851)

  * Fix Rmail to handle capitalized month names in Date lines,
    i.e. "Date: Thu, 06 Aug 2009 18:33:32 +0100".  Thanks to Jeroen
    Nijhof <jeroen@nijhof.uklinux.net> for the report and Sven Joachim
    <svenjoac@gmx.de> for the fix. (closes: #540234)

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 03 Sep 2009 21:55:25 -0700

emacs23 (23.1+1-2) unstable; urgency=low

  * Add dependencies on install-info to primary binary packages and
    remove install-info from meta package provides.  Thanks to Norbert
    Preining <preining@logic.at>.  (See emacs21 bugs #532600, #532599,
    #532597, and #532602.)

  * Add libpm-dev and libdbus-1-dev build dependencies.  Thanks to
    Sven Joachim <svenjoac@gmx.de> for reporting this and most of the
    following additional issues.

  * Fix a spelling error, fix a menu section error, add a version to
    the GPL file referred to by debian/copyright, and add a number of
    debian/emacsVER*.lintian-overrides to quiet long-standing
    warnings.

  * Fix update-alternatives to reflect the fact that all the binaries
    have manpages now.  Rename manpages from NAME.1FLAVOR to
    NAME.FLAVOR.1.

  * Remove obsolete dependencies and conflicts (w3-el, emacs22
    packages, etc.).

  * Remove explicit install-info calls.  Rely on triggers now.

  * Set debian-emacs-flavor to 'emacs23.  Somehow that change didn't
    make it in to the initial package and it was still set to emacs22.

  * Search /usr/share/info/emacs-23 rather than
    /usr/share/info/emacs-22.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 02 Aug 2009 19:55:15 -0700

emacs23 (23.1+1-1) unstable; urgency=low

  * New emacs23 packages.

  * The debian/dfsg-splitter has been updated.

  * Patches have been removed or adjusted.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 18 Jul 2009 18:41:25 -0700

emacs22 (22.3+1-1) unstable; urgency=low

  * New upstream release. (closes: #512134)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 28 Mar 2009 19:18:43 -0700

emacs22 (22.2+2-5) unstable; urgency=low

  * Add a build dependency on libasound2-dev which emacs22 is already
    linked against on i386.  This change just makes things consistent
    across all the relevant platforms. Thanks to Sven Joachim
    <svenjoac@gmx.de> for the fix. (closes: #503054)

  * Set mail-interactive to t if /usr/bin/mail is not an executable and
    fakemail is chosen.  This should still help avoid silent mail loss,
    but won't signal an error if the mailer is never invoked.  Thanks to
    Ralf Resack <horch_loeffelchen@yahoo.de> for proposing the
    fix. (closes: #429059)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 09 Nov 2008 12:05:33 -0800

emacs22 (22.2+2-4) unstable; urgency=medium

  * Fix a security problem related to the invocation of python
    (CVE-2008-3949).  Avoid including the current directory in the module
    lookup path when invoking python from python.el.  Thanks to Sven
    Joachim <svenjoac@gmx.de> and Michael Berg <michaeljberg@gmail.com>.
    (closes: #499568)

  * Invoke xmlstarlet from flymake as xmlstarlet rather than xml.  Thanks
    to Jussi Judin <jjudin+debian@iki.fi>. (closes: #447378)

  * Fix vc-mode's handling of internal temporary buffers.  This should
    avoid failures when trying to open files under monotone version
    control.  Thanks to Sven Joachim <svenjoac@gmx.de> and Michael Berg
    <michaeljberg@gmail.com>. (closes: #476108)

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 14 Oct 2008 21:28:47 -0700

emacs22 (22.2+2-3) unstable; urgency=medium

  * Fix an insecurity related to fast-lock-cache-directories
    (CVE-2008-2142).  Thanks to Sven Joachim <svenjoac@gmx.de> and Morten
    Welinder <mwelinder@gmail.com>. (closes: #480885)

  * Don't remove /usr/local/share/emacs/site-lisp in emacs22-common.
    Leave that up to emacsen-common.  Thanks to Sven Joachim
    <svenjoac@gmx.de>. (closes: #490524)

  * Don't prematurely raise an error when trying to save a non-ASCII
    buffer when select-safe-coding-system-accept-default-p is set to a
    function.  Thanks to Jun Inoue <jun.lambda@gmail.com>.
    (closes: #488427)

  * Don't look for GNU to find etc/.  Look for NEWS instead.  Thanks to
    "Bernhard Michler" <Boregard@gmx.net> for the report and Sven Joachim
    <svenjoac@gmx.de> for the fix. (closes: #478240)

  * Fix a problem in WoMan which caused it to raise an error for a number
    of manpages.  Thanks to Sven Joachim <svenjoac@gmx.de>. (closes: #476223)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 23 Jul 2008 20:56:33 -0700

emacs22 (22.2+2-2) unstable; urgency=medium

  * Fix debian-expand-file-name-dfsg and describe-gnu-project (C-h C-p).
    Thanks to Valery V. Vorotyntsev <valery.vv@gmail.com>.
    (closes: #448391, #477215)

  * Fix an insecurity in vcdiff's temporary file handling
    (CVE-2008-1694). Thanks to Moritz Muehlenhoff <jmm@debian.org> and
    Steve Grubb. (closes: #476611)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 26 Apr 2008 22:02:40 -0700

emacs22 (22.2+2-1) unstable; urgency=low

  * Move mh-e.texi here from the non-DFSG package because the license does
    appear to be DFSG compatible.  Thanks to Peter S Galbraith
    <psg@debian.org>. (closes: #433953)

  * Add Conflicts and Replaces emacs22-common-non-dfsg (<< 22.2+1-2) to
    debian/control.in to handle move of mh-e.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 20 Apr 2008 13:25:33 -0700

emacs22 (22.2+1-1) unstable; urgency=low

  * New upstream release. (closes: #473021, #474271)

  * Move dired-x.texi to the non-DFSG package because the license has
    changed.

  * Update debian/copyright to reflect recent changes.

  * Update debian/dfsg-splitter for new upstream release.

  * Add libgif-dev to debian/control.  Thanks to Sven Joachim
    <svenjoac@gmx.de>.  (closes: #472419)

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 10 Apr 2008 18:41:02 -0700

emacs22 (22.1+1-3) unstable; urgency=low

  * Incorporate a patch to fix a vulnerability in the handling of file
    local variables (CVE-2007-5795) (closes: #449008).  Thanks to Drake
    Wilson <drake@begriffli.ch>, and also thanks to Romain Francoise for
    the 22.1+1-2.1 NMU. [rlb]

  * Support has been added for GNU/kFreeBSD.  Thanks to Petr Salinger
    <Petr.Salinger@seznam.cz> (closes: #451178)

  * Incorporate a patch to fix a a stack-based buffer overflow in the
    format function which can occur when dealing with high precision
    values.  The overflow could lead to arbitrary code execution
    (CVE-2007-6109).  Thanks to Nico Golde <nion@debian.org> for the
    22.1+1-2.2 and 22.1+1-2.3 NMUs.  The patch fixes both the CVE
    (#455432) and a bug introduced by an incomplete initial patch
    (#456235).

  * Don't override install-info anymore. (closes: #438695)

  * Fix a problem with auto save file names.  Thanks to Sven Joachim
    <svenjoac@gmx.de>. (closes: #469017)

  * Fix the switch-to-buffer-other-frame function so that it returns the
    new buffer.  This also means that find-file-read-only-other-frame will
    now correctly mark the new buffer as read only.  Thanks to Sven
    Joachim <svenjoac@gmx.de>. (closes: #457539)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 02 Mar 2008 14:22:35 -0800

emacs22 (22.1+1-2) unstable; urgency=low

  * Fix mail locking patch for Debian's non-Linux architectures.  Thanks
    to Michael Banck <mbanck@debian.org>. (closes: #433816) [rlb]

  * Fix control file for binary NMUs.  Thanks to Lior Kaplan
    <kaplan@debian.org>. (closes: #432957) [rlb]

  * Fix problem with --no-bitmap-icon with upstream patch.  Thanks to Sven
    Joachim <sven_joachim@web.de>. (closes: #433969) [rlb]

  * Add build dependency versions of quilt that include support for
    "header".  Thanks to Max Dmitrichenko
    <dmitrmax@rain.ifmo.ru>. (closes: #432695) [rlb]

  * Incorporate upstream fixes to Emacs manpage.  Thanks to Sven Joachim
    <sven_joachim@web.de>. (closes: #432732) [rlb]

  * Symlink etc/COPYING and lisp/COPYING to
    /usr/share/common-licenses/GPL-2.  Thanks to Milan Zamazal
    <pdm@debian.org> for the report.  (closes: #436810) [rlb]

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 21 Aug 2007 22:29:09 -0700

emacs22 (22.1+1-1) unstable; urgency=low

  * New upstream release. (closes: #427279) [rlb]

  * Change build dependency from libpng3-dev to libpng12-dev.
    (closes: #424622) [rlb]

  * If allowed, create and remove non-flavor-specific
    /usr/local/share/emacs/site-lisp.

  * Fix cc-mode local variable problem.  Thanks to Sven Joachim
    <sven_joachim@web.de> for forwarding the upstream patch.
    (closes: #428898) [rlb]

  * Add desktop file for emacs22-gtk. (closes: #424069) [rlb]

  * Remove /var/games/emacs/ since Emacs doesn't use it unless
    update-game-score is setuid and Debian's isn't.
    (closes: #423948, #430533) [rlb]

  * New release restores python mode. (closes: #430553) [rlb]

  * Add /usr/share/info/emacs-22 to Info-default-directory-list before
    /usr/share/info. (closes: #425924, #429526) [rlb]

  * Change the desktop file to only use the major version in the name,
    rather than the full upstream version, so that the string won't change
    from say 22.0.99 to 22.1.

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 06 Jul 2007 20:20:15 -0700

emacs22 (22.0.99+1-1) experimental; urgency=low

  * Update to 22.0.99.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 12 May 2007 11:01:29 -0700

emacs22 (22.0.95+1-1) experimental; urgency=low

  * New emacs22 packages.

  * The debian/dfsg-splitter has been updated. [rlb]

  * Obsolete patches have been removed. [rlb]

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 11 Mar 2007 10:14:16 -0700

emacs21 (21.4a+1-5) unstable; urgency=low

  * Move man pages back to emacs21-common. (closes: #414321) [rlb]
    - debian/rules

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 10 Mar 2007 16:16:15 -0800

emacs21 (21.4a+1-4) unstable; urgency=low

  * Merge useful bits from Jerome and my orphaned emacs22 tree (which
    itself was based on Jérôme's snapshot tree) in preparation for
    upcoming emacs22 branch.  Many thanks to Jérôme.  A partial summary of
    these changes follows:

    Add debian/rules info_subdir variable.

    Modify desktop and menu files version.  This approach should work for
    normal versions, "Emacs 21.4a (X11)", and for snapshots, "Emacs
    2006-09-09 (X11)".  See the menu_ver variable in debian/rules.

    Overhaul debian/rules to build all of the install trees at once and
    then call the dh_* programs generically rather than calling them once
    per package. [rlb]

    - emacsVER-bin-common.postinst
    - emacsVER-bin-common.prerm
    - emacsVER-common.postinst
    - emacsVER-common.prerm
    - emacsVER.desktop
    - emacsVER.menu
    - rules

 -- Rob Browning <rlb@defaultvalue.org>  Sat,  3 Mar 2007 16:13:23 -0800

emacs21 (21.4a+1-3) unstable; urgency=high

  * Fix build failure on mipsel.
    Thanks to Aurelien Jarno <aurelien@aurel32.net>.
    (closes: #401665) [Jérôme Marant]
    - debian/patches/arch-mipsel.diff: set OUTPUT_ARCH to `mips'
      instead of `mipsel'.

  * Changed FSF address in copyright file. [Jérôme Marant]
    - debian/copyright.in
    - debian/copyright

 -- Jerome Marant <jerome@debian.org>  Thu, 04 Jan 2007 08:31:28 +0100

emacs21 (21.4a+1-2) unstable; urgency=low

  * Make both emacs21 and emacs21-nox packages suggest non-DFSG
    packages and fix erroneous emacs21-common dependency on it
    [Jérôme Marant]
    - debian/control.in
    - debian/control

  * Grab yow mode from the CVS trunk so it is now compatible with yow.lines
    replacement which also comes from the CVS trunk.
    (closes: #395501) [Jérôme Marant]
    - debian/patches/yow-mode-from-cvs.diff: new patch.
    - debian/patches/series: updated.

  * Properly handle ldapsearch output from OpenLDAP version 2 and above.
    Thanks to both Joshua Judson Rosen <joshuar@russound.com> and
    Henrik Holmboe <henrik@holmboe.se>.
    (closes: #381484) [Jérôme Marant]
    - debian/patches/ldapsearch-output.diff: new patch.
    - debian/patches/series: updated.

  * Mention license of both emacs.1 and etags.1 manpages and add a copy of
    the GFDL to the copyright file (closes: #396875) [Jérôme Marant]
    - debian/copyright.in
    - debian/copyright: re-generated.

  * Fix generation of emacs21-common README.Debian. [rlb]

 -- Rob Browning <rlb@defaultvalue.org>  Sat,  2 Dec 2006 11:45:44 -0800

emacs21 (21.4a+1-1) unstable; urgency=low

  * In accordance with the recent General Resolution
    (http://www.debian.org/vote/2006/vote_001), move all non-DFSG files to
    new packages that will be included in Debian's non-free section.  The
    debian/dfsg-splitter script has been used to split the upstream
    archive. (closes: #207932) [rlb]
    - debian/control.in
    - debian/copyright.in
    - debian/dfsg-splitter
    - debian/emacs-common.README
    - debian/patches/handle-dfsg-split.diff
    - debian/patches/series
    - debian/replacement/yow.lines.uu
    - debian/rules
    - debian/missing-file.dfsg: new template file used to generate
      replacements for non-free files normally accessible through C-h
      key bindings. Those files will be displayed if the original
      ones are not available.

  * Acknowledge NMU. Thanks Marc Brockschmidt <he@debian.org>
    (Closes: #381452) [Jérôme Marant]

  * Separate mipsel from mips autodetection in configure.in [Jérôme Marant]
    - debian/patches/arch-mipsel.diff: update.

  * Split mips and mipsel ports into two separate patches [Jérôme Marant]
    - debian/patches/arch-mips.diff: new file. Add mips-specific code
      from arch-mipsel+mips.diff patch
    - debian/patches/arch-mipsel.diff: add mipsel-specific code from
      arch-mipsel+mips.diff patch
    - debian/patches/arch-mipsel+mips.diff: remove.

  * Bump Standards-Version to 3.7.2 [Jérôme Marant]
    - debian/control.in

  * Add a new dummy `emacs' package which depends on the latest
    Emacs release (closes: #82687)
    - debian/control.in: added new entry for `emacs' package.
    - debian/control: re-generated.
    - debian/emacs.*: renamed to debian/emacsVER.*
    - debian/emacs-*.*: renamed to debian/emacsVER-*.*
    - debian/rules: changed accordingly.

  * Remove erroneous semicolon character when reading XBM files.
    Thanks to Jochen Voss <voss@debian.org>.
    (closes: #392651) [Jérôme Marant]
    - debian/patches/xbm-read-erroneous-semicolon.diff: new file.
    - debian/patches/series: updated.

  * Properly point to README.Debian.gz from Emacs NEWS file.
    Thanks to Per Bojsen <per.bojsen@bojsen.us>.
    (closes: #389063) [Jérôme Marant]
    - debian/patches/misc-unseparated.diff: updated.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 25 Oct 2006 00:40:34 -0700

emacs21 (21.4a-6.2) unstable; urgency=low

  * Non-maintainer brown paper bag release.
  * Apply patch from 21.4a-6.1 properly, somehow quilt hates me.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Wed, 27 Sep 2006 08:30:33 +0200

emacs21 (21.4a-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/arch-mipsel+mips.diff:
     Add patch from Max Kellermann <max@duempel.org> (updated by
     Thiemo Seufer <ths@networkno.de>) to fix segfaults on mips
     and mipsel. Thanks for the hard work! (Closes: #381452)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Wed, 27 Sep 2006 00:13:30 +0200

emacs21 (21.4a-6) unstable; urgency=low

  * When we create an empty aclocal.m4 after patching (to get around
    quilt's use of patch -E), make the timestamp match the timestamp of
    configure.in, so that we won't accidentally re-run autoconf given the
    dependency in Makefile.in. [rlb].
    - debian/rules

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 14 May 2006 15:24:35 -0700

emacs21 (21.4a-5) unstable; urgency=low

  * Don't include dpatch.make in debian/rules since the package no longer
    depends on dpatch.  Thanks to Romain Francoise
    <rfrancoise@debian.org>.  (closes: #367177) [rlb]
    - debian/rules

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 14 May 2006 10:18:04 -0700

emacs21 (21.4a-4) unstable; urgency=low

  * Migrate from dpatch to quilt and update generation of README. [rlb]
    - debian/README.in
    - debian/rules
    - debian/control.in
    - debian/patches/*

  * Change occurrence of "find ... -perm +u+x" to "find ... -perm /u+x".
    The former is no longer handled the way it used to be, and *doesn't*
    find all files with execute permission.  Thanks to François Fleuret
    for pointing out the initial problem.  [rlb]
    - debian/rules

  * Replace $(pwd) with $(CURDIR) in debian/rules.
    - debian/rules

  * Remove PACKAGE variable.
    - debian/rules

  * Arrange DEB_ vars as recommended by
    /usr/share/doc/autotools-dev/README.Debian.gz and do the same with
    DEB_HOST_ARCH and DEB_HOST_GNU_CPU. [rlb]
    - debian/rules

  * Use DEB_HOST_GNU_TYPE for the value of target rather than
    DEB_BUILD_GNU_TYPE. [rlb]
    - debian/rules

  * Add $(src_name) and $(flavor) and use them. [rlb]
    - debian/rules

  * Remove show-upstream-diffs target (use check-diff instead). [rlb]
    - debian/rules

  * Rename orig_tgz and orig_tgz_dir variables to deb_orig_tgz and
    deb_orig_tgz_dir. [rlb]
    - debian/rules

  * Lowercase local makefile variable names. [rlb]
    - debian/rules

  * Migrate to debhelper (while consulting Jérôme Marant's work on
    emacs-snapshot).  There may still be a bit to do. [rlb]
    - debian/rules
    - debian/changelog
    - debian/compat
    - debian/control
    - debian/control.in
    - debian/emacs-bin-common.postinst
    - debian/emacs-bin-common.postrm
    - debian/emacs-bin-common.prerm
    - debian/emacs-common.README
    - debian/emacs-common.docs
    - debian/emacs-common.postinst
    - debian/emacs-common.prerm
    - debian/emacs-el.prerm
    - debian/emacs.README
    - debian/emacs.menu
    - debian/emacs.postinst
    - debian/emacs.postrm
    - debian/emacs.preinst
    - debian/emacs.prerm
    - debian/rules
    - debian/README.binpkg.in (moved to debian/emacs.README)
    - debian/README.in (moved to debian/emacs-common.README)
    - debian/build-binary-pkg (removed - now handled in debian/rules)
    - debian/menu.in (moved to debian/emacs.menu)

  * Change nominal_ver computation to match code in configure.in. [rlb]
    - debian/rules

  * Add libxaw7-dev dependency to make sure we get that instead of
    libxaw8-dev.  Thanks to Tollef Fog Heen <tfheen@debian.org>.
    (closes: #365597) [rlb]
    - debian/control.in

  * Apply an upstream patch to fix an mmap related Hurd build problem.
    Thanks to Michael Banck <mbanck@debian.org>. (closes: #347554) [rlb]
    - debian/patches/series
    - debian/patches/hurd-mmap.diff

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 13 May 2006 16:24:05 -0700

emacs21 (21.4a-3) unstable; urgency=low

  * Disable support for the ppc64 architecture: the patch breaks the
    powerpc support and does not work on ppc64 any more anyway.
    (closes: #329459) [Jérôme Marant]
    - debian/patches/00list: disable arch-ppc64 patch.
    - debian/patches/autofiles.dpatch: regenerated.

 -- Rob Browning <rlb@defaultvalue.org>  Sun,  2 Oct 2005 19:00:13 -0700

emacs21 (21.4a-2) unstable; urgency=low

  * Apply patch applying modifiers to multibyte-char keys. Thanks to
    Martin Stjernholm <mast@lysator.liu.se> (closes: #309963) [Jérôme Marant]
    - debian/patches/multibyte-char-key-modifiers.dpatch: new file.
    - debian/00list: updated.

  * Apply patch supporting the ppc64 architecture. This is a slightly
    modified patch derived from the Emacs CVS mainline.
    (closes: #300368) [Jérôme Marant]
    - debian/patches/arch-ppc64.patch: new file.
    - debian/00list: updated.

  * Add real dependency as an alternative to the libtiff-dev build
    dependency in order for the build to be deterministic.
    (closes: #311074) [Jérôme Marant]
    - debian/control.in: add libtiff4-dev as alternative libtiff-dev
      build dependency.
    - debian/control: regenerated.

  * Bump Standards-Version to 3.6.2. [Jérôme Marant]
    - debian/control.in
    - debian/control: regenerated.

  * Use the "kitchen sink" bitmap icon when iconifying the Emacs window.
    (closes: #309930) [Jérôme Marant]
    - debian/menu.in: pass the `-i' option to the command launching Emacs
      under X11.
    - debian/emacs.desktop: likewise.

  * Work around bug in Xorg which makes AltGr incorrectly recognized.
    This patch has been backported from Emacs CVS trunk. [Jérôme Marant]
    - debian/patches/xorg-altgr-fix.dpatch: new file.
    - debian/00list: updated.

  * Apply patch preventing an infinite loop in whitespace.el if kill-read-only
    is set to t. Thanks to Romain Francoise <rfrancoise@debian.org>
    (closes: #273123) [Jérôme Marant]
    - debian/patches/whitespace-readonly-infloop.dpatch: new file.
    - debian/00list: updated.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 17 Sep 2005 23:39:52 -0700

emacs21 (21.4a-1) unstable; urgency=medium

  * New upstream release. (closes: #294313) [Jérôme Marant]
    - debian/patches/movemail-pop-fmt-vulnerability.dpatch: removed since
    it has been applied upstream.

  * Apply patch from Romain Francoise <rfrancoise@debian.org> making PCL-CVS
    compliant with recent versions of CVS. (closes: #291221) [Jérôme Marant]
    - debian/patches/pcl-cvs-format.dpatch: new file.
    - debian/00list: updated.
    - debian/control: tightened dependency on dpatch (>= 2.0.9).

  * Add MIME type to desktop file. (closes: #296618) [Jérôme Marant]
    - debian/emacs.desktop: added MimeType entry.

  * Apply patch supporting the AMD64 architecture. This is a slightly
    modified patch derived from the Emacs CVS mainline. Thanks to
    Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de> and
    amd64 porters. (closes: #248796) [Jérôme Marant]
    - debian/patches/arch-amd64.patch: new file.
    - debian/00list: updated.

  * Hard code leim version in copyright.in for now.  with 21.4a the emacs
    tar.gz name changed, but the leim archive name didn't. [rlb]
    - debian/copyright.in
    - debian/copyright

  * Remove prebuild target from debian/rules.  Instead, just issue
    instructions to the user. [rlb]
    - debian/rules

  * Fix invocation of wc -l when counting fns-*.el files. [rlb]
    - debian/rules

  * Use dpatch for the autotool related diff rather than generating and
    applying a diff manually.  What was the debian/autofiles.diff is now
    handled via debian/patches/autofiles.dpatch.  Also, we no longer try
    to automatically generate the diff when needed.  Instead, the diff
    must be generated manually via "debian/rules autofiles-sync".

    The earlier approach was broken because dpatch files that
    autofiles.diff depended on could end up later in the Debian diff (and
    hence have newer timestamps).  This would cause an unexpected run of
    aclocal, etc.  and break the buildds.  If we ever want to re-automate
    generation of the autofiles diff, we'll need to use dpatch md5 sigs
    (or similar) rather than timestamps.  (closes: #297796) [rlb]
    - debian/autofiles.diff: removed
    - debian/patches/00list: added autofiles
    - debian/patches/autofiles.dpatch: new
    - debian/rules: updated

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 15 Mar 2005 11:00:04 -0600

emacs21 (21.3+1-9) unstable; urgency=high

  * Modify debian/rules to support using an arch source repository and an
    archive arrangement somewhat similar to, but not compatible with
    arch-buildpackage's. [rlb]
    - debian/rules

  * Applied patch to fix mailspool pop format string vulnerability
    (CAN-2005-0100). [rlb]
    Thanks to Max Vozeler <max@hinterhof.net>.
    - debian/patches/movemail-pop-fmt-vulnerability.dpatch

 -- Rob Browning <rlb@defaultvalue.org>  Thu,  3 Feb 2005 21:02:03 -0600

emacs21 (21.3+1-8) unstable; urgency=medium

  * Apply patch allowing Emacs to properly interpret logo keys as Meta
    rather than Meta+Super+Hyper. This problem has been showing up since
    latest XFree86 and Xorg introducted `fake keys'.
    Thanks to Denis Barbier <barbier@linufr.org>
    (closes: #255286, #274103) [Jérôme Marant]
    - debian/patches/xfree86-4.3-modifiers.dpatch: new file
    - debian/patches/00list: updated.

  * Apply patch fixing long-standing memory leak in decode-coding-region
    and similar routines. Thanks to Florian Weimer <fw@deneb.enyo.de>.
    (closes: #273919) [Jérôme Marant]
    - debian/patches/coding-region-leak.dpatch: new file.
    - debian/patches/00list: updated.

  * Apply patch tightening permissions of local backup copies of remote
    files. Thanks to Michael Albinus <michael.albinus@gmx.de>.
    (closes: #274427) [Jérôme Marant]
    - debian/patches/remote-files-permissions.dpatch: new file.
    - debian/patches/00list: updated.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 16 Oct 2004 11:10:32 -0500

emacs21 (21.3+1-7) unstable; urgency=medium

  * set recompile against libtiff4-dev and upload with
    urgency=medium. (closes: #262828) [rlb]
    - debian/changelog

 -- Rob Browning <rlb@defaultvalue.org>  Tue,  3 Aug 2004 11:34:43 -0500

emacs21 (21.3+1-6) unstable; urgency=low

  * fix debian/README rendering problem. [rlb]

  * Stop provinding www-browser since the w3-el-e21 package provides it
    now. [Jérôme Marant]
    - debian/control.in: remove www-browser provides for emacs and
      emacs-nox.
    - debian/control: synced.

  * Fixed installation of .desktop entry. [Jérôme Marant]
    - debian/build-binary-pkg: fixed typo.

  * Set value of the auto-save-file-name-transforms variable at run-time
    in order to override its build-time value.
    (closes: #160615, #167295, #175346, #241826, #250676, #178792)
    [Jérôme Marant]
    - debian/patches/startup-auto-save-file-name-transforms.dpatch: new file.
    - debian/patches/00list: updated.

  * Add Python byte-compiled file extensions to completion-ignore-extensions
    variable. (closes: #177276) [Jérôme Marant]
    - debian/patches/python-completion-ignored-extensions.dpatch: new file.
    - debian/patches/00list: updated.

  * Fixed removal of alternatives
    (closes: #251822, #206901, #241820, #163034) [Jérôme Marant]
    - debian/emacs-bin-common.prerm

  * Add a slave alternative for "editor" manpage.
    Thanks to Daniel Kraft <da_kraft@web.de>. (closes: #255639) [Jérôme Marant]
    - debian/emacs.postinst

  * Apply a 2003-06-21 patch from upstream CVS to fix a non-interactive
    signal handling problem that could cause Emacs to die prematurely as
    the result of a SIGIO or SIGHUP. (closes: #253887) [rlb]
    - debian/patches/fix-batch-mode-signal-handling.dpatch
    - debian/patches/00list

  * Add warning message to prepare-release explaining that you have to run
    it as a normal user (not root). [rlb]
    - debian/rules

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 26 Jul 2004 10:27:10 -0500

emacs21 (21.3+1-5) unstable; urgency=low

  * Apply patch allowing emacsclient to handle ALTERNATE_EDITOR properly
    when the command is run without any parameter [Jérôme Marant]
    (closes: #219658)
    - debian/patches/emacsclient-alternate-editor.dpatch: new file.

  * Provide the `editor' virtual package. [Jérôme Marant]
    (closes: #66243, #90154, #158807)
    - debian/control.in: emacs and emacs-nox now provide the `editor'
      virtual package.
    - debian/control: synchronized with debian/control.in.
    - debian/emacs.postinst: adding an `editor' alternative with a priority
      of 0 as discussed in
      http://lists.debian.org/debian-policy/2000/debian-policy-200006/msg00122.html
    - debian/emacs.prerm: removing the `editor' alternative on package
      removal.

  * Added automatic switching to UTF-8 encoding when editing the debian
    changelog file. [Jérôme Marant]
    - debian/changelog: added Emacs local variables forcing coding
      to UTF-8.

  * Fix handling of menu entry for text version of Emacs [Jérôme Marant]
    (closes: #221171)
    - debian/menu.in: call the text version of emacs with the `-nw'
      parameter.

  * Install the emacsclient manpage [Jérôme Marant] (closes: #222767)
    - debian/build-common-pkg: install missing emacsclient manpage.
    - debian/emacs-common.postinst: install alternative for emacsclient
      manpage.

  * Install .desktop entry in order to make Emacs easy to start in
    both GNOME and KDE. Thanks to Adam C Powell IV <hazelsct@debian.org>
    [Jérôme Marant] (closes: #233711)
    - emacs.desktop: new template file for desktop entries
    - debian/rules: generate desktop file from emacs.desktop template
      and install it for emacs21.

  * test -n "${major_ver}" in a few places so that we don't accidentally
    generate bad output files from our .in files. [rlb]
    - debian/rules

  * truncate aclocal.m4 during autofiles-sync so that old bits won't kill new
    autoconf run.  Also ignore autom4te.cache when generating
    autofiles.diff. [rlb]
    - debian/rules

  * fix bug in prepare-release autodiff prompt handling. [rlb]
    - debian/rules

  * update configure.in for newer autoconf versions. [rlb]
    - autoconf-updates.dpatch

  * add an emacsXY-bin-common package containing all the architecture
    specific bits, so that emacsXY-common can be architecture independent.
    This should save many megabytes * architectures in the debian pool.
    [rlb] (closes: #232888, #233345)
    - debian/rules: move some build-* code from debian/ scripts to rules
      and adjust to build emacsXY-bin-common.
    - debian/emacs-common.postinst debian/emacs-common.prerm: some code
      moved to new emacs-bin-common scripts.
    - debian/emacs-common.postrm: deleted.
    - debian/emacs-bin-common.postinst: new file.
    - debian/emacs-bin-common.prerm: new file.
    - debian/emacs-bin-common.postrm: new file.
    - debian/build-common-pkg: deleted - code now in debian/rules.
    - debian/build--pkg: deleted - code now in debian/rules.
    - debian/emacs-el.postinst: deleted - was empty.
    - debian/control.in: add emacsXY-bin-common and adjust other entries.
    - debian/fix-debian-scripts: deleted - no longer used.
    - debian/build-binary-pkg: adjusted to handle more of the common code.

  * Add support for linux 2.6 to ACPI in lisp/battery.el. Thanks to
    Mario Lang <mlang@debian.org> [Jérôme Marant] (closes: #228658)
    - debian/patches/battery-acpi-support.dpatch: updated.

  * Generate md5sums file for every package [Jérôme Marant] (closes: #22590)
    - debian/rules: generate md5sums file just before building packages.
    - debian/build-binary-pkg: likewise.

  * no point in byte-compiling fns-*.el according to upstream authors
    (closes: #189277)

  * fix configure args (--build alone doesn't seem to work anymore). [rlb]
    - debian/rules

  * re-enable gif support via libungif. [rlb]
    - debian/rules

  * re-enable toolkit scrollbars, but make it really easy for people to
    disable them in debian/rules.  Search for
    --without-toolkit-scrollbars.  [rlb]
    - debian/rules
    - debian/README.in

  * fix problem with upgrades by adding emacs21-common (<< 21.3+1-4) to
    Replaces for the common packages. [rlb]
    - debian/control.in
    - debian/control

 -- Rob Browning <rlb@defaultvalue.org>  Tue,  6 Apr 2004 18:07:38 -0500

emacs21 (21.3+1-4) unstable; urgency=medium

  * debian/changelog: converted to UTF-8 as per Policy. [Jérôme Marant]
  * debian/control.in:
    - Bumped Standards-Version to 3.6.1. [Jérôme Marant]
    - Added versioned build-dependency on dpatch >= 1.23 since this version
      no longer requires numerial prefixes to dpatches. [Jérôme Marant]
  * debian/patches/*.dpatch: removed numerical prefix since the patch order
    is specified in debian/patches/00list. [Jérôme Marant]
  * debian/patches/hurd-libio-glibc.dpatch: new patch allowing Emacs
    to be built on Hurd systems using a libio-based glibc.
    Thanks to Markus Brinkmann <marcus@gnu.org>.
    (closes: #143220) [Jérôme Marant]
  * debian/patches/battery-acpi-support.dpatch: new patch adding ACPI
    support to lisp/battery.el. Thanks to Mario Lang <mlang@debian.org>.
    (closes: #208812) [Jérôme Marant]
  * debian/patches/scroll-margin.dpatch: new patch preventing emacs
    to hang with a non-0 scroll-margin set.
    (closes: #175658) [Jérôme Marant]
  * debian/patches/save-buffer.dpatch: new patch fixing a bug which
    makes a file being removed when the coding system of its buffer
    has changed and saving the changes was canceled.
    (closes: #194171) [Jérôme Marant]
  * debian/patches/00list: updated with respect to new patches.
    [Jérôme Marant]
  * debian/menu.in:
    - Added hints to menu entries. (closes: #144282) [Jérôme Marant]
    - Changed titles for both text and X11 entries in order to
      differenciate them. (closes: #197527, #188598) [Jérôme Marant]
  * debian/patches/browse-url.dpatch:
    - Updated patch fixing a wrong call to galeon. Thanks to
      Mikael Hedin <micce@debian.org>. (closes: #208206) [Jérôme Marant]
    - Updated patch fixing browse-url's invocation of Mozilla.
      Thanks to Jeff Sheinberg <jeffsh@erols.com>,
      Martin Pool <mbp@sourcefrog.net> and KATO Kazuyoshi <kzys@users.sf.net>.
      (closes: #148408, #216067) [Jérôme Marant]
  * Use -O1 rather than -O2 on m68k.  Fixes a build failure (looks like a
    broken byte compiler) with newer versions of gcc.  (closes: #207580)

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 31 Oct 2003 00:00:10 -0600

emacs21 (21.3+1-3) unstable; urgency=low

  * create debian/stmap it doesn't exist. (closes: #210802)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 13 Sep 2003 14:49:18 -0500

emacs21 (21.3+1-2) unstable; urgency=low

  * add back accidentally removed dpatch Build-Depends. (closes: #210627)

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 12 Sep 2003 10:30:21 -0500

emacs21 (21.3+1-1) unstable; urgency=low

  * repackage without .elc files since we regenerate all of them anyway.
    This will save space, and will also allow us to use dpatch in a
    straightforward way.
  * modify debian/rules computation of version numbers to handle
    (i.e. ignore) the +1 in 21.3+1.
  * rework to use dpatch and to patch/unpatch the debian source in-place
    rather than using a debian/build-src copy of the whole source tree.
  * incorporated patch (500-detect-coding-iso2022.dpatch) to fix raw-text
    coding problem.  Thanks to Kenichi Handa <handa@etl.go.jp>.
    (closes: #198736)

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 11 Sep 2003 23:15:44 -0500

emacs21 (21.3-2) unstable; urgency=low

  * Compile --without-toolkit-scroll-bars for now (my pref, and to avoid
    xaw3d issues for the moment).
  * Update copyright to reflect documentation licenses. (closes: #161500)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 13 Aug 2003 08:53:35 -0500

emacs21 (21.3-1) unstable; urgency=low

  * new upstream version.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 23 Apr 2003 13:16:06 -0500

emacs21 (21.2-6) unstable; urgency=low

  * changed sort behavior for x-vs-no-x fix in cus-dep.el based on
    suggestion from Matt Kraai <kraai@alumni.cmu.edu>. (closes: #166139)
  * finish breaking up most of the debian/patch/* files.
  * set up automatic generation for autofiles.diff which contains all the
    diffs to automatically generated files and is applied after all of the
    debian/patch/*.diff files.
  * add an apply-patches-upto command so it's easier to create partially
    patched trees for editing.

 -- Rob Browning <rlb@defaultvalue.org>  Thu,  6 Feb 2003 18:12:41 -0600

emacs21 (21.2-5) unstable; urgency=low

  * fix bug in rules and binary-pkg generation. (closes: #164770)
  * fix problem with config.sub and config.guess updates. (closes: #164763)
  * time to stop creating the /usr/doc symlinks...

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 15 Oct 2002 16:34:52 -0500

emacs21 (21.2-4) unstable; urgency=low

  * create debian/patches/ and start migrating to represent
    changes as patches against the upstream source.  Don't edit the main
    tree anymore.
  * rework tree and packaging to have emacs21-common, emacs21, and
    emacs21-nox packages with emacs21-common containing nearly all the
    data.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 12 Oct 2002 15:09:37 -0500

emacs21 (21.2-3) unstable; urgency=low

  * Update emacs21-nox package description.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 29 May 2002 14:04:57 -0500

emacs21 (21.2-2) unstable; urgency=low

  * fix control file priorities to match overrides.
  * fix rules to handle autotools more correctly.  See
    /usr/share/doc/autotools-dev/README.Debian.gz for details.
    (closes: #139998)
  * firewall, headless box, and anti-X users everywhere rejoice!
    Introducing emacs21-nox package :>

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 28 May 2002 12:09:48 -0500

emacs21 (21.2-1) unstable; urgency=low

  * new upstream release.
  * move outline of Debian specific Emacs changes to
    /usr/share/doc/*/README.Debian.gz.x

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 22 Mar 2002 11:41:17 -0600

emacs21 (21.1-9) unstable; urgency=low

  * fix control.in to use ${Source-Version}. (closes: #138994)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 18 Mar 2002 21:54:47 -0600

emacs21 (21.1-8) unstable; urgency=low

  * Fix .texi problems with upstream patch. (closes: #138236)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 17 Mar 2002 11:58:59 -0600

emacs21 (21.1-7) unstable; urgency=high

  * fix vc-path to be correct for a Debian system. (closes: #120079)
  * re-add lost hppa and s390 patches. (closes: #107251)

 -- Rob Browning <rlb@defaultvalue.org>  Thu,  6 Dec 2001 14:10:45 -0600

emacs21 (21.1-6) unstable; urgency=medium

  * modify order in browse-url.el.
  * added upstream iso-acc.el patch to fix accent bug. (closes: #119852)
  * fix ppc nocombreloc bug with upstream patch. (closes: #117557)

 -- Rob Browning <rlb@defaultvalue.org>  Tue,  4 Dec 2001 08:43:38 -0600

emacs21 (21.1-5) unstable; urgency=low

  * Run autoconf to remove stale ppc code. (closes: #119189)
  * Write new browse-url.el code with support for galeon and to default to
    searching for a suitable browser, free browsers first.  (closes: #116822)

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 13 Nov 2001 09:51:31 -0600

emacs21 (21.1-4) unstable; urgency=low

  * Really fix alternatives problem this time.

 -- Rob Browning <rlb@defaultvalue.org>  Fri,  9 Nov 2001 10:24:49 -0600

emacs21 (21.1-3) unstable; urgency=low

  * Fix but in grep in postinst. (closes: #117251, #117256, #117415, #118792)
  * Remove vestigal ppc bits and add upstream patch for ppc nocombreloc
    problem. (closes: #117557)
  * fix bug in upstream-files.tar handling.
  * don't configure gif support until our libungif is new enough.  See bug
    #117729.
  * Fix manpage to list correct default window size. (closes: #118641)

 -- Rob Browning <rlb@defaultvalue.org>  Thu,  8 Nov 2001 21:15:20 -0600

emacs21 (21.1-2) unstable; urgency=low

  * change to priority optional.
  * use xaw3d scrollbars after checking upstream preferences.
    (closes: #116831, #116911, #116638)
  * added some build-depends. (closes: #116981)
  * fixed typo in NEWS. (closes: #116814)
  * fixed alternatives bug in postinst/prerm for emacsclient (closes: #116915)

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 25 Oct 2001 16:02:45 -0500

emacs21 (21.1-1) unstable; urgency=low

  * New emacs21 packages.  Many changes -- reviewed all Debian files.

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 18 Oct 2001 17:28:03 -0500

emacs20 (20.7-10) unstable; urgency=medium

  * Add arch header for mipsel and fix configure.in and
    configure. (closes: #103959)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 23 Jul 2001 09:23:06 -0500

emacs20 (20.7-9) unstable; urgency=low

  * Added more Build-Depends. (closes: #101832)
  * Disable ralloc on Hurd.  Thanks to Robert Bihlmeyer
    <robbe@orcus.priv.at>. (closes: #101926)

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 10 Jul 2001 12:48:22 -0500

emacs20 (20.7-8) unstable; urgency=low

  * Added ia64 patches from Bdale Garbee <bdale@gag.com> for ia64.h.
    (closes: #90518)
  * Added Build-Depends on mailx for now (though this is *wrong* for the
    long run -- I need to fix my fakemail handling).
    (closes: #95903, #96761)
  * Fix fakeroot sgid problem (move movemail chmod +s in debian/rules).
  * Remove emacs' overzealous dir.gz file.
  * Shrink gnu.xpm to 32x32 and make it the menu icon. (closes: #20253, #21310)
  * Update manpage to not refer to kitchen sink anymore -- though with
    emacs21, we're going to move back to using whatever they choose.
    (closes: #81682)

 -- Rob Browning <rlb@cs.utexas.edu>  Wed, 13 Jun 2001 23:56:16 -0500

emacs20 (20.7-7) unstable; urgency=low

  * Fixed reftex-info problem. (closes: #44837).
  * Fix install-strip target in Makefile.in.  Thanks to
    Kalle Olavi Niemitalo <tosi@ees2.oulu.fi>.  (closes: #51348)

 -- Rob Browning <rlb@cs.utexas.edu>  Sat,  5 May 2001 23:50:50 -0500

emacs20 (20.7-6) unstable; urgency=low

  * Fix improper usage of dpkg-statoverride and make sure movemail is set
    up right. (closes: #95953)
  * Fix bad manpage location in postinst update-alternatives call.
  * Fix bad .so in ctags manpage (closes: #88231, #45317, #65017, #74570)

 -- Rob Browning <rlb@cs.utexas.edu>  Sat,  5 May 2001 09:47:40 -0500

emacs20 (20.7-5) unstable; urgency=low

  * configure.in: add detection of CONF_MAIL_PROGRAM_NAME.
  * lib-src/fakemail.c: use CONF_MAIL_PROGRAM_NAME when appropriate
    (closes: #72103) -- need to forward upstream.
  * Add "modified by Debian" clause to (emacs-version) at RMS's request.
  * Start Debian modifications section in copyright file as per policy.
  * Add build fixes for hurd (closes: #78461).  Changes suggested by
    Marcus.Brinkmann@ruhr-uni-bochum.de.  Thanks.
  * Switch from Debian sendmail.el hack to Francesco's suggestion of
    setting mail-from-style to 'system-default by default at startup
    (closes: #35128).  This allows the user to override when desired in
    the normal way.  This should be discussed with the upstream
    maintainers.  They may be amenable to making this the default on
    Debian systems.
  * add dependency on dpkg (>= 1.9.0) for new install-info.
  * info pages should finally work right (or at least closer to right).
    They're now installed in /usr/share/info/emacs-20/ under their normal
    names, and install-info can add the appropriate (emacs-20/emacs),
    etc. entries to /usr/share/info/dir.  This hopefully closes a bunch of
    old bugs.
    (closes: #64994, #64512, #64025, #62155, #59332, #51163, #40443)
  * No more files in /usr/doc. (closes: #91454, #63768)
  * /usr/man moved to /usr/share/man. (closes: #91149)
  * This should be fixed, in addition we've switched to dpkg-statoverride
    (closes: #73007)
  * /usr/share/info/dir.gz should be gone.
    (closes: #75594, #68551, #65012)

 -- Rob Browning <rlb@cs.utexas.edu>  Sun, 29 Apr 2001 22:03:33 -0500

emacs20 (20.7-4) unstable frozen; urgency=low

  * Upload to unstable *and* frozen since this fixes outstanding grave
    bugs.

 -- Rob Browning <rlb@cs.utexas.edu>  Thu, 27 Jul 2000 16:21:15 -0500

emacs20 (20.7-3) unstable; urgency=low

  * Change code to rebuild *all* the install tree .elc files at build
    time.  This should fix the grave problems with gnus trashing mail at
    the expense of more CPU at build time.

 -- Rob Browning <rlb@cs.utexas.edu>  Wed, 19 Jul 2000 20:27:27 -0500

emacs20 (20.7-2) frozen unstable; urgency=low

  * Revert to setting debian-emacs-flavor in startup.el as per recent
    flip-flop in debian-emacs-policy :<  This was a *tiny* source change,
    and definitely has to go into frozen - too much breaks otherwise.

 -- Rob Browning <rlb@cs.utexas.edu>  Tue, 20 Jun 2000 11:31:29 -0500

emacs20 (20.7-1) frozen unstable; urgency=low

  * New upstream bug-fix version.  Fixes security bugs, among others.
  * Removed some now redundant Debian patches.

 -- Rob Browning <rlb@cs.utexas.edu>  Sat, 17 Jun 2000 12:59:48 -0500

emacs20 (20.6-3) unstable frozen; urgency=medium

  * Temp fix for alpha corruption problem in cm/src.h
    src/termcap.c, src/terminfo.c, and src/sysdep.c (forwarded bug 63993).

 -- Rob Browning <rlb@cs.utexas.edu>  Mon, 12 Jun 2000 18:55:22 -0500

emacs20 (20.6-2) frozen unstable; urgency=low

  * Make sure info files get registered after /usr/share migration.

 -- Rob Browning <rlb@cs.utexas.edu>  Fri, 12 May 2000 15:30:02 -0500

emacs20 (20.6-1) frozen unstable; urgency=low

  * Let emacsen-common handle setting debian-emacs-flavor and modify
    "Depends:" accordingly.
  * Maintainer release of 20.6 - fixes same issues as 20.6-0.1, so it
    should go into frozen.
  * Move info files to /usr/share/info.
  * Make sure .elc files for .el files we've modified are *always* rebuilt.
  * Add new unexelf.c from Gerd Moellmann <gerd@gnu.org>.  Without this,
    emacs20 will *not* build on either frozen or unstable x86 machines.

 -- Rob Browning <rlb@cs.utexas.edu>  Fri, 12 May 2000 11:00:33 -0500

emacs20 (20.6-0.1) frozen unstable; urgency=low

  * Non-maintainer release.
  * New upstream bug fix release (closes:#60931).
  * ARM support merged upstream.
  * Add security patches from RUS-CERT posting on BugTraq.
  * postinst: Use 2775 as directory permissions in /usr/local (closes:#59919)

 -- Joel Klecker <espy@debian.org>  Wed, 26 Apr 2000 11:26:28 -0700

emacs20 (20.5a-2) unstable; urgency=low

  * Check in a bogus modification to all the .el files that we modified
    before 20.5a so that new .elc files with our changes will be generated
    when we build.  This must be done every time an upstream change is
    merged in.

 -- Rob Browning <rlb@cs.utexas.edu>  Tue, 28 Dec 1999 19:51:14 -0600

emacs20 (20.5a-1) unstable; urgency=high

  * Upstream version number is just fine (20.5a *is* newer than 20.5).
    Switch to use it.

 -- Rob Browning <rlb@cs.utexas.edu>  Wed, 22 Dec 1999 11:12:44 -0600

emacs20 (20.4.pre20.5a-1) unstable; urgency=high

  * New upstream version, including some Y2K fixes.
  * Use weird version to avoid epochs.  This is upstream 20.5a.

 -- Rob Browning <rlb@cs.utexas.edu>  Wed, 22 Dec 1999 00:16:52 -0600

emacs20 (20.4-3) unstable; urgency=low

  * Fix mistake in this file.  Fix bug number in architecture
    dependency "closes" in last revision.
  * Powerpc configure.in patch from Susumu OSAWA <susumuo@debian.org>.
    (Should close bug 48997, but marked forwarded instead until patch is
    resolved upstream.)
  * Jargon problems apparently fixed. (closes: #31103 #37030)
  * Gnus printing problems apparently fixed (closes: #20760)
  * Fix manpage to refer to more accurate Debian file locations.
    (closes: #35267)
  * cperl-mode problem apparently fixed. (closes: #46739)
  * Fix build stripping problem (use INSTALL_STRIP=-s rather than
    INSTALL_PROGRAM="install -s").

 -- Rob Browning <rlb@cs.utexas.edu>  Sat,  4 Dec 1999 19:24:07 -0600

emacs20 (20.4-2) unstable; urgency=low

  * Modify mail-spool-directory/movemail patch in preparation for upstream
    inclusion.
  * Fix architecture dependency. (closes: #48997)

 -- Rob Browning <rlb@cs.utexas.edu>  Fri, 12 Nov 1999 17:59:01 -0600

emacs20 (20.4-1) unstable; urgency=low

  * New upstream version.
  * I decided to go ahead and get this out without the major overhaul
    that's coming, but I'm going to be working more tightly the core
    upstream developers from now on, so there will be some more
    substantial changes soon, including getting rid of more Debianisms and
    double checking all our current patches.
  * Fix movemail liblockfile detection to be non-Debian specific
    (currently working out the appropriate upstream patch (see etc/NEWS)).
  * Fix emacs to support a --with-mail-spool-directory configure option and to
    automagically detect the right answer most of the time without it
    (currently working out the appropriate upstream patch (see etc/NEWS)).
  * Add the lisp-level variable mail-spool-directory which always contains
    the location of the mail spool, and hack movemail, nnmail, rmail, and
    friends to use it (currently working out the appropriate upstream
    patch (see etc/NEWS)) .
  * hexl-mode bug fixed upstream. (closes: #21762)

 -- Rob Browning <rlb@cs.utexas.edu>  Sat, 30 Oct 1999 13:24:39 -0500

emacs20 (20.3-11) unstable; urgency=low

  * Fix liblockfile version skew. (closes: #43803 #45123)

 -- Rob Browning <rlb@cs.utexas.edu>  Thu, 23 Sep 1999 13:27:00 -0500

emacs20 (20.3-10) unstable; urgency=low

  * Restructure debian/rules to build -el in binary-indep
    (closes: #26761)
  * Add emacsclient.1 manpage submitted ages ago. (closes: #22463)
  * Handle duplicate DOC files (closes: #27668)
  * Switch to gnu icon from old B&W drippy sink (closes: #33260)

 -- Rob Browning <rlb@cs.utexas.edu>  Tue,  6 Jul 1999 23:21:44 -0500

emacs20 (20.3-9) unstable; urgency=low

  * Added HURD patch from Marcus Brinkmann <brinkmd@debian.org>.
    (closes: #38571).
  * Backed out (global-set-key [delete] 'delete-char) modification
    (Ref: #26366).  This is too controversial (think cross-platform)
    and needs to be resolved by the Debian Keyboard Czar in concert with
    others.  For now we revert to the upstream behavior...
  * Add /usr/share/info to info search path (closes: #38285).

 -- Rob Browning <rlb@cs.utexas.edu>  Fri, 11 Jun 1999 00:43:51 -0500

emacs20 (20.3-8) unstable; urgency=low

  * Added patch to emacs.c from Wolfram Gloger
    <wmglo@dent.med.uni-muenchen.de> to fix exit segfaults.
    (closes: #37745)
  * Fixed suidregister inconsistency between postinst and postrm
    (closes #36845)

 -- Rob Browning <rlb@cs.utexas.edu>  Sun, 30 May 1999 14:38:51 -0500

emacs20 (20.3-7) unstable frozen; urgency=low

  * Needed to go to frozen too: --print-architecture was an important
    bug.  Should be OK since other fixes since -5 are minor and
    important.
  * Add conflict with w3-el (as per Ben Pfaff's <pfaffben@pilot.msu.edu>
    request). (closes: #30413).
  * Undo broken (and unneeded) "fix" for suidregister call in postrm.

 -- Rob Browning <rlb@cs.utexas.edu>  Thu, 28 Jan 1999 14:49:27 -0600

emacs20 (20.3-6) unstable; urgency=low

  * Use --print-installation-architecture rather than --print-architecture
    (closes: #28177).
  * Remove "#undef SIGIO" from m/arm.h as indicated by David Welton
    <davidw@debian.org> (closes: #31279).
  * Fix call to suidunregister (I didn't realize that it can't take
    multiple file arguments) (closes: #21243 #26886).

 -- Rob Browning <rlb@cs.utexas.edu>  Wed, 27 Jan 1999 11:50:14 -0600

emacs20 (20.3-5) frozen unstable; urgency=low

  * Added NetWinder patches (closes: #28277).  (Thanks to David Welton)
  * Rebuilt emacs20-el so the versions coincide.  In the future, people
    need to be sure to build *both* binary packages when doing a
    non-maintainer binary release.  (This fix justifies inclusion into
    frozen).

 -- Rob Browning <rlb@cs.utexas.edu>  Sun,  1 Nov 1998 20:14:36 -0600

emacs20 (20.3-4) unstable; urgency=low

  * Fix gnus to default to /var/spool/mail rather than /usr/spool/mail for
    mailbox locations (closes: #21364).

 -- Rob Browning <rlb@cs.utexas.edu>  Sat, 17 Oct 1998 14:28:45 -0500

emacs20 (20.3-3) unstable; urgency=low

  * Fixed leim.  All the input methods should work now (closes: #27398).
  * Made (global-set-key [delete] 'delete-char) the default (closes: #26366).
  * Fix ownership on emacs20-el files (closes: #27398).

 -- Rob Browning <rlb@cs.utexas.edu>  Tue, 13 Oct 1998 16:57:51 -0500

emacs20 (20.3-2) unstable; urgency=low

  * Added 20.2 patches for powerpc.  I omitted the patches to the
    following files because it looks like equivalent fixes have already
    made it into 20.3.  If anyone who understands that code better knows
    differently, please let me know.  The rest of the patches applied
    cleanly.
      src/callproc.c.rej
      src/dired.c.rej
      src/fileio.c.rej
      src/process.c.rej
      src/regex.c.rej
    I also modified src/m/powerpc.h to fix problems calling the ldscript.

 -- Rob Browning <rlb@cs.utexas.edu>  Mon,  7 Sep 1998 18:20:41 -0500

emacs20 (20.3-1) unstable; urgency=low

  * New upstream version.
  * Modify all the debian/* stuff to automatically track version changes.
  * Major changes to info page handling.  Emacs20 info is now integrated into
    the main info page.  This was the best way I could think of to handle
    cross references, etc. without major source changes.
  * Locked emacs20-el and emacs20 package versions together with dependencies.
  * Add info direntries for widget, info, and customize.
  * Fix handling of /usr/local/share (which was badly broken).
  * Turn stripping back on.  It appears to work.

 -- Rob Browning <rlb@cs.utexas.edu>  Tue,  1 Sep 1998 11:44:04 -0500

emacs20 (20.2-9) unstable; urgency=low

  * Fixes for leim problems (closes: #25536).  Thanks to
    Junio Hamano <junio@twinsun.com>
  * update-elc now made executable (closes: #25899).  Thanks to
    Junio Hamano <junio@twinsun.com>
  * Fix problem with package including dirs in /usr/local/share
    (closes: #23431).

 -- Rob Browning <rlb@cs.utexas.edu>  Sat, 22 Aug 1998 11:45:16 -0500

emacs20 (20.2-8) unstable; urgency=low

  * Regenerate .elc files for .el files we've modified.  I didn't realize
    that some of the .elc files were in the upstream tar file.  Hope this
    doesn't break anything.  We haven't been using our sendmail and
    message modifications until now.  (closes: #21079).
  * Fix i386ism in debian scripts use "dpkg --print-architecture"
    instead. (closes: #20548).
  * Fixed reference in README.add-on-package-maintainers
    (closes: #23445)
  * Fix some alpha problems (closes: #21834).
  * Had to add Replaces: emacs20 to emacs20-el to fix problem with
    copyright files being in the wrong package (closes: #21531).

 -- Rob Browning <rlb@cs.utexas.edu>  Fri,  7 Aug 1998 20:39:59 -0500

emacs20 (20.2-7) frozen unstable; urgency=low

  * Changed emacs20-el from standard to optional.
  * Fixed broken postrm (release critical) (closes: #24236)
  * Don't strip emacs binary (strip is broken see binutils #23153).
  * Since we can't strip, don't compile or link with "-g".

 -- Rob Browning <rlb@cs.utexas.edu>  Thu, 16 Jul 1998 16:58:04 -0500

emacs20 (20.2-6) frozen unstable; urgency=low

  * Gack.  Fix reject due to changed .tar.gz file (./leim added to tar).

 -- Rob Browning <rlb@cs.utexas.edu>  Wed,  8 Apr 1998 14:04:54 -0500

emacs20 (20.2-5) frozen unstable; urgency=low

  * Make sure to preserve timestamps on .el files in emacs20-el
    (closes: #20274)
  * Add leim support for alternate input methods.  May close several
    bugs.

 -- Rob Browning <rlb@cs.utexas.edu>  Sun,  5 Apr 1998 10:38:20 -0500

emacs20 (20.2-4) frozen unstable; urgency=low

  * Added copright file to emacs20-el package (closes: #19300)
  * suidmanager doesn't understand symbolic perms
    (closes: #18448, #19213)

 -- Rob Browning <rlb@cs.utexas.edu>  Fri, 13 Mar 1998 13:01:07 -0600

emacs20 (20.2-3) unstable; urgency=low

  * Fixed problem with permissions on /usr/share/emacs/20.2/site-lisp/
    (closes: #18717)

 -- Rob Browning <rlb@cs.utexas.edu>  Mon,  2 Mar 1998 12:02:33 -0600

emacs20 (20.2-2) unstable; urgency=low

  * fixed bad menu line (closes: #18362).

 -- Rob Browning <rlb@cs.utexas.edu>  Thu, 19 Feb 1998 10:52:58 -0600

emacs20 (20.2-2) unstable; urgency=low

  * Explicit dependency on liblockfile0 until bug is fixed
    (closes #18186)
  * added lisp/site-lisp.el to fix info path problem (closes #18190)

 -- Rob Browning <rlb@cs.utexas.edu>  Sat, 14 Feb 1998 19:19:09 -0600

emacs20 (20.2-1) unstable; urgency=low

  * movemail no longer suid -- not needed.
  * start from scratch with emacs-20.2 source and old emacs-19.34 and
    xemacs patches.

 -- Rob Browning <rlb@cs.utexas.edu>  Tue, 16 Dec 1997 01:20:27 -0600

Local Variables:
coding: utf-8
End:
